Разное

Apt get ubuntu: wiki:apt_d0_bf_d0_b0_d0_ba_d0_b5_d1_82_d0_bd_d1_8b_d0_b9_d0_bc_d0_b5_d0_bd_d0_b5_d0_b4_d0_b6_d0_b5_d1_80_apt | Русскоязычная документация по Ubuntu

Содержание

Пакетные менеджеры: apt vs apt-get. В чем разница?

В данной статье посмотрим на разницу между пакетными менеджерами apt и apt-get. А также рассмотрим вопрос, как правильно обновлять систему через терминал в Ubuntu подобных системах.

Apt (advanced packaging tool) — это программа для работы с пакетами программ в операционных системах Linux Debian, и основанных на них — Ubuntu, Linux Mint и т.д. По сути, apt — это терминальный (консольный) пакетный менеджер.

На данном сайте во всех статьях об установке каких-либо программ используется команда для установки пакетов:

sudo apt-get install <package_name>

Начиная с Ubuntu 16.04 (теперь присуствует и в Ubuntu 14.04) был добавлен новый пакетный менеджер просто «apt» и теперь команда установки пакета выглядит следующим образом:

sudo apt install <package_name>

То есть, кроме знакомой нам apt-get добавился ещё apt. И в этой статье мы подробнее рассмотрим разницу между ними.

У старого apt-* существует достаточно ключей, в которых легко запутаться, особенно новичку:

Пакетный менеджер apt заменяет старые apt-get и apt-cache. Непосредственно, реализованы все самые наиболее используемые команды по установке, удалению пакетов, обновлению системы и поиска пакетов. Кроме того, раскрасили в цветах текст выполнения данных команд.

Давайте же разберем список команд нового пакетного менеджера apt:

Для того, чтобы получить краткую подсказку по данным командам, всегда можно выполнить команду:

Вот краткое описание команд из справки:

install, remove, purge — используются для установки, удаления, удаления с зависимостями пакетов в системе. Отличие от apt-get что добавился прогресс выполнения операции:

search — команда аналогична apt-cache search, используется для поиска пакета в репозиториях. Разница в том, что эта команда выводит сортированный список по алфавиту.

show — команда, аналогичная apt-cache show, показывает подробную информацию о пакете. Разница в том, что теперь информация более краткая и по существу. Скрыты более технические параметры, такие как хеши.

update — команда, аналогичная apt-get update, обновляет информацию о пакетах в добавленных репозиториях в системе. Разница в том, что текст выполнения стал разноцветным:

* Цвета строк с репозиториями меняются только в момент их обновления.

list — команда, похожая на dpkg list, отображает список пакетов в зависимости от дополнительного ключа.

Ключи могут быть следующими:

  • —upgradable — просмотр списка пакетов которые могут быть обновлены (есть новые версии в репозиториях)
  • —installed — просмотр списка всех установленных пакетов в системе
  • —manual-installed — просмотр списка пакетов, которые устанавливались в ручную пользователем
  • —all-version — просмотр вообще всех пакетов, описанных выше.
  • —verbose — отображение краткой информации (что это за пакет программы) по всем пакетам

Также можно указывать часть имени пакетов, по которым нужно получить информацию, указав звездочку на конце, либо непосредственно полное имя пакета. Пример:

apt list zypper* --verbose

Для удобного чтения этого огромного списка, можно его сохранить в файл. Выполнить перенаправление вывода выполнения команды из терминала в файл:

Для удобного чтения этого огромного списка, можно его сохранить в файл. Выполнить перенаправление вывода выполнения команды из терминала в файл:

apt list --manual-installed > manual-installed. txt

После команды указываем одинарную галочку вправо > , а затем название файла текстового файла. Название текстового файла может быть любое, если используете пробел в названии файла, то его нужно экранировать обратным слешем.

Если текстового файла нет в системе с таким именем, то он будет создан. Если есть в системе, то файл будет перезаписан.

Таким же образом можно сохранить в файл и выводы остальных списков для удобного их просмотра в графическом текстовом редакторе:

upgrade — команда аналогична apt-get upgrade —with-new-pkgs, то есть обновляет пакеты, которые уже установлены в системе и доставляет новые пакеты-зависимости.

full-upgrade — команда аналогична apt-get dist-upgrade, то есть обновляет пакеты, которые уже установлены в системе, доставляет новые пакеты зависимости и удаляет пакеты, которые устанавливались в систему и уже не используются.

По поводу разницы обновления в терминале, давайте обратимся за более подробной информацией в мануал apt-get.

apt-get upgrade

upgrade используется для установки новейших версий всех установленных пакетов системы из источников, указанных в /etc/apt/sources.list. Будут разысканы новейшие версии установленных в настоящий момент пакетов и произведено обновление; ни в коем случае не будет удалено ни одного установленного пакета или установлено нового пакета, не имеющего уже установленной в системе предыдущей версии. Текущие версии установленных в настоящий момент пакетов, если они не могут быть обновлены новыми версиями без изменения статуса других пакетов, будут оставлены в неизменном виде. Для того, чтобы apt-get узнал о существовании доступных новых версиях пакетов, данной команде должна предшествовать команда update.

apt-get dist-upgrade

dist-upgrade, в дополнение выполняет функцию upgrade, а также разумно управляет изменением зависимостей с новыми версиями пакетов; apt-get имеет «умную» систему разрешения конфликтов и она будет в случае необходимости пытаться произвести обновление наиболее важных пакетов за счет менее важных. Файл /etc/apt/sources.list содержит список источников для получения пакетов, из которых будут получены файлы пакетов.

Таким образом, когда вы обновляете систему с помощью команды:

то у вас только обновляются установленные пакеты, при этом могут возникнуть конфликты и неудовлетворенные зависимости и новые пакеты не будут устанавливаться.

Команда же:

sudo apt-get dist-upgrade

удалит старые пакеты, разрешит конфликты, доставит необходимые зависимости, доставит новые пакеты, если требуется. Более умный и гибкий инструмент обновления системы.

Именно поэтому в случае пакетного менеджера apt-get, я советую пользоваться dist-upgrade для обновления системы, а про upgrade вообще забыть.

С пакетным менеджером  apt можно использовать обе эти команды обновления.

Но в случае использования upgrade, периодически надо будет использовать следующую команду:

autoremove — команда аналогична apt-get autoremove, очищает систему от пакетов, которые были установлены как зависимости других пакетов и уже не используются.

edit-sources — открывает редактор файла со списком системных репозиториев /etc/apt/sources.list. Больше про эту команду сказать и нечего. Огромной полезности в ней не вижу. Этот файл можно отредактировать без данной команды.

Давно пора было разработчикам сделать выполнение таких наиболее используемых команд пакетного менеджера в Ubuntu более лаконичными без постфиксов apt-get, apt-cache и с доработкой скриптов выполнения команд.


В дальнейшем, на данном сайте в статьях будут использоваться команды нового пакетного менеджера.

Bash on Ubuntu on Windows не может использовать `sudo apt-get install `

Я был взволнован, чтобы использовать bash на windows, но быстро столкнулся с проблемой. Я пытаюсь установить build-essential, но у меня возникает проблема с зависимостями. При попытке решить проблему с помощью sudo apt-get install-f я столкнулся с еще одной ошибкой, которая не имеет особого смысла. Я пробовал обновлять и обновлять, но это тоже не сработало.

[email protected]:~$ sudo apt-get install build-essential
Reading package lists... Done
Building dependency tree
Reading state information... Done
build-essential is already the newest version.
You might want to run 'apt-get -f install' to correct these:
The following packages have unmet dependencies.
 libc6-dev : Depends: linux-libc-dev but it is not going to be installed
E: Unmet dependencies. Try 'apt-get -f install' with no packages (or specify a solution).
[email protected]:~$ sudo apt-get -f install
Reading package lists... Done
Building dependency tree
Reading state information... Done
Correcting dependencies... Done
The following packages were automatically installed and are no longer required:
  libfreetype6 os-prober
Use 'apt-get autoremove' to remove them.
The following extra packages will be installed:
  linux-libc-dev
The following NEW packages will be installed
  linux-libc-dev
0 to upgrade, 1 to newly install, 0 to remove and 43 not to upgrade.
5 not fully installed or removed.
Need to get 0 B/767 kB of archives.
After this operation, 3,946 kB of additional disk space will be used.
Do you want to continue? [Y/n] y
(Reading database ... 28660 files and directories currently installed.)
Preparing to unpack .../linux-libc-dev_3.13.0-123.172_amd64.deb ...
Unpacking linux-libc-dev:amd64 (3.13.0-123.172) ...
dpkg: error processing archive /var/cache/apt/archives/linux-libc-dev_3.13.0-123.172_amd64.deb (--unpack):
 unable to install new version of /usr/include/linux/netfilter_ipv6/ip6t_hl.h': File exists
E: Sub-process /usr/bin/dpkg returned an error code (1)

Полный журнал того, что привело к ошибке в Bash на Ubuntu на Windows terminal, находится здесь:
https://pastebin. com/dq2D2Gtz

windows

bash

ubuntu

windows-subsystem-for-linux

Поделиться

Источник


Barzev    

05 июля 2017 в 14:00

3 ответа


  • Установить openblas через apt-get `sudo apt-get установить openblas-dev`

    Можно ли установить openblas через apt-get, как sudo apt-get install openblas-dev ? Кажется, на ubuntu 14.04 он не может его найти. sudo apt-get install openblas-dev Reading package lists… Done Building dependency tree Reading state information… Done E: Unable to locate package openblas-dev

  • Sudo apt-get-repository: команда не найдена

    Я пытаюсь добавить репозиторий в Ubuntu Mate с помощью этой команды- sudo apt-get-repository ****************(repository name) Но у меня есть такой выход- sudo: apt-get-repository: command not found Я уже пробовал это- sudo apt-get install software-properties-common python-software-properties а…



4

У меня нет решения, но я вижу корень проблемы. Похоже, это связано с чувствительностью к регистру в файловой системе. Пакет для linux-libc-dev помещает две копии файла в /usr/include/linux/netfilter_ipv6 с единственной разницей в регистре; ip6t_HL.h и ip6t_hl.h. После размещения ip6t_HL.h он пытается переименовать ip6t_hl.h.dpkg-new в ip6t_hl.h. Системный вызов для переименования файла завершается неудачей, утверждая, что ip6t_hl.h уже существует

В системе «real» linux ip6t_HL.h и ip6t_hl.h явно будут разными файлами. Под WSL они, вероятно,имели некоторые странные несовместимости, чтобы работать между NTFS по умолчанию нечувствительным к регистру FS и unix по умолчанию чувствительным к регистру.

Вы можете дублировать проблему вручную, например, с помощью

echo hi > foo.H
echo hi > foo.h-new
mv foo.h-new foo. h

mv: не удается переместить ‘foo.h-new’ в ‘foo.h’: файл существует

выход strace:

rename("/usr/include/linux/netfilter_ipv6/ip6t_HL.h.dpkg-new", "/usr/include/linux/netfilter_ipv6/ip6t_HL.h") = 0
open("/usr/include/linux/netfilter_ipv6/ip6t_hl.h.dpkg-new", O_WRONLY) = 10
fsync(10)                               = 0
close(10)                               = 0
rename("/usr/include/linux/netfilter_ipv6/ip6t_hl.h.dpkg-new", "/usr/include/linux/netfilter_ipv6/ip6t_hl.h") = -1 EEXIST (File exists)
write(2, "dpkg: error processing archive /"..., 199dpkg: error processing archive /var/cache/apt/archives/linux-libc-dev_4.4.0-98.121_amd64.deb (--install):
 unable to install new version of '/usr/include/linux/netfilter_ipv6/ip6t_hl.h': File exists
) = 199

Поделиться


dmattp    

14 ноября 2017 в 21:49



1

У меня была та же проблема. Как и @dmattp, я обнаружил, что это происходит потому, что, к сожалению, пакет содержит некоторые (заголовочные) файлы с именами, которые различаются только буквенным регистром, и что замечательная файловая система WSL имеет несогласованность в отношении чувствительности к регистру.

Вот обходной путь, предполагающий, что пакет имеет имя linux-libc-dev_3.13.0-123.172_amd64.deb :

cd any-temp-dir

apt-get download linux-libc-dev
ar x linux-libc-dev_3.13.0-123.172_amd64.deb
tar xJf data.tar.xz # ignore all erors like ./usr/include/linux/netfilter_ipv4/ipt_ttl.h: Cannot open: Input/output error
tar cJf data.tar.xz ./usr
ar rcs linux-libc-dev_3.13.0-123.172_amd64-patched.deb debian-binary control.tar.gz data.tar.xz 

sudo dpkg -i linux-libc-dev_3.13.0-123.172_amd64-patched.deb

Поделиться


dvo    

22 ноября 2018 в 14:59



-1

Он говорит, что зависимости не устанавливаются, так что попробуйте:

sudo apt-get install linux-libc-dev

Если это не сработает попробуйте:

sudo apt-get install --reinstall build-essential

Это будет переустановка build-essential. надеюсь, это поможет, ура!

Поделиться


Nythepegasus    

05 июля 2017 в 15:21


  • последняя версия NodeJS install by apt-get

    Debian Linux (Debian Stable, UBUNTU LTS и т. д.)и другие используют apt-get как хороший и надежный инструмент установки. Мне нужно использовать только apt-get … проблема в том, что я делаю простое sudo apt-get install nodejs но в результате у меня есть nodejs —version (или node —version )…

  • Как использовать X Windows с Emacs на Windows 10 Bash?

    Я использую программу Bash on Ubuntu on Windows, чтобы использовать Emacs для C++. Прямо сейчас я могу кодировать все, используя сочетания клавиш, однако я хочу выделять текст с помощью мыши или устанавливать метку с помощью мыши вместо того, чтобы всегда использовать клавиатуру. Чтобы получить…


Похожие вопросы:

Использование ‘sudo apt-get install build-essentials’

Я пытался использовать sudo apt-get install build-essentials для установки компилятора g++ на мой ящик Ubuntu Linux. Но он дал мне следующее сообщение: Чтение списков пакетов… Сделано Построение…

Gitolite on Ubuntu: adminkey не указан

У меня есть то, что я бы назвал установкой vanilla на Ubuntu сервере 12.04LTS (загружено и установлено 15-го числа) на Hyper-V. Кажется, с Ubuntu все в порядке. Синтетический NIC-это здорово….

Ubuntu 12.04 LTS bash: sudo: команда не найдена

Я новичок в Linux terminal, теперь я пытался использовать sudo, apt-get, whereis и т. д., команды в linux он возвращает ошибку bash: sudo: команда не найдена моя команда $sudo apt-get install…

Установить openblas через apt-get `sudo apt-get установить openblas-dev`

Можно ли установить openblas через apt-get, как sudo apt-get install openblas-dev ? Кажется, на ubuntu 14. 04 он не может его найти. sudo apt-get install openblas-dev Reading package lists… Done…

Sudo apt-get-repository: команда не найдена

Я пытаюсь добавить репозиторий в Ubuntu Mate с помощью этой команды- sudo apt-get-repository ****************(repository name) Но у меня есть такой выход- sudo: apt-get-repository: command not found…

последняя версия NodeJS install by apt-get

Debian Linux (Debian Stable, UBUNTU LTS и т. д.)и другие используют apt-get как хороший и надежный инструмент установки. Мне нужно использовать только apt-get … проблема в том, что я делаю простое…

Как использовать X Windows с Emacs на Windows 10 Bash?

Я использую программу Bash on Ubuntu on Windows, чтобы использовать Emacs для C++. Прямо сейчас я могу кодировать все, используя сочетания клавиш, однако я хочу выделять текст с помощью мыши или…

узел не работает на Bash на Ubuntu на Windows

Я пытаюсь заставить узел работать внутри Bash на Ubuntu на Windows. Я только начинаю использовать Bash на Ubuntu на Windows, так что, вероятно, делаю какую-то ошибку новичка. Я сделал apt-get…

sudo/apt-get команда не найдена в git bash

Я использую Windows 10 в своей машине и в настоящее время установил на нее git bash. Я хотел установить node и npm для своего приложения. когда я пытался : apt-get установка nodejs apt-get команда…

sudo apt-get install scala не найден на ubuntu

Я совершенно озадачен тем, почему эта простая установка sudo не работает. Я запускаю ubuntu 16.04 на virtualbox на windows, и когда я запускаю команду sudo apt-get установить scala команда, я…

sudo apt-get Сбой обновления на Ubuntu 17.04

Во время работы sudo apt-get update на ubuntu 17.04 пикантный Zapus, я получаю следующее сообщение об ошибке. Я написал об ошибках в строках. Я хотел установить библиотеки python, такие как matplotlib и tkinter, которые не удалось установить, потому что вышеприведенная команда не была успешно запущена. Пожалуйста, подскажите, что мне делать.

Err:9 http://security.ubuntu.com/ubuntu zesty-security/main amd64 Packages
  404  Not Found [IP: 2001:67c:1560:8001::14 80]
Err:25 http://in.archive.ubuntu.com/ubuntu zesty/main i386 Packages
  404  Not Found [IP: 2001:67c:1360:8001::21 80]
Err:81 http://in.archive.ubuntu.com/ubuntu zesty-updates/main amd64 Packages
  404  Not Found [IP: 2001:67c:1360:8001::21 80]
Err:113 http://in.archive.ubuntu.com/ubuntu zesty-backports/main amd64 Packages
  404  Not Found [IP: 2001:67c:1360:8001::21 80]
Reading package lists... Done
W: The repository 'http://security.ubuntu.com/ubuntu zesty-security Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'http://in.archive.ubuntu.com/ubuntu zesty Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'http://in.archive.ubuntu.com/ubuntu zesty-updates Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: The repository 'http://in.archive.ubuntu.com/ubuntu zesty-backports Release' does not have a Release file.
N: Data from such a repository can't be authenticated and is therefore potentially dangerous to use.
N: See apt-secure(8) manpage for repository creation and user configuration details.
E: Failed to fetch http://security.ubuntu.com/ubuntu/dists/zesty-security/main/binary-amd64/Packages  404  Not Found [IP: 2001:67c:1560:8001::14 80]
E: Failed to fetch http://in. archive.ubuntu.com/ubuntu/dists/zesty/main/binary-i386/Packages  404  Not Found [IP: 2001:67c:1360:8001::21 80]
E: Failed to fetch http://in.archive.ubuntu.com/ubuntu/dists/zesty-updates/main/binary-amd64/Packages  404  Not Found [IP: 2001:67c:1360:8001::21 80]
E: Failed to fetch http://in.archive.ubuntu.com/ubuntu/dists/zesty-backports/main/binary-amd64/Packages  404  Not Found [IP: 2001:67c:1360:8001::21 80]
E: Some index files failed to download. They have been ignored, or old ones used instead.

linux

ubuntu

apt-get

ubuntu-17.04

Поделиться

Источник


Ayush Kumar    

22 января 2018 в 09:04

4 ответа


  • 404 на sudo apt-get обновление 404 не найдено chris-lea/node.js

    Я пытаюсь использовать $ sudo add-apt-repository ppa:chris-lea/node.js $ sudo apt-get update для установки и обновления npm и nodejs Большинство ссылок на этот репозиторий, которые я нашел, устарели с 2011-2013 годов Я получаю ошибку 404 во время $ sudo apt-get update по ссылке…

  • Сбой обновления apt-get на машине vagrant

    Я настроил машину vagrant на своем mac, используя следующие команды — vagrant init ubuntu/trusty64 vagrant up Теперь я успешно sshed в машину, используя vagrant ssh и пытаясь использовать sudo apt-get update , который терпит неудачу со следующей ошибкой — W: GPG error: http://archive.ubuntu.com…



11

вы можете решить эту проблему следующим образом: просто замените us.archive.ubuntu.com и security.ubuntu.com в /etc/apt/sources.list на старый-releases.ubuntu.com, и тогда вы сможете закончить обновление.

см. Источник 1 и форум ubuntu

это работает для меня

Поделиться


Houndjetode Noukpo Herve    

31 января 2018 в 06:44



7

В моем случае:

sed -e 's/archive. ubuntu.com/old-releases.ubuntu.com/g' -i /etc/apt/sources.list 
sed -e 's/security.ubuntu.com/old-releases.ubuntu.com/g' -i /etc/apt/sources.list 

Поделиться


Sergey Pavlov    

05 февраля 2018 в 01:17



2

В моем случае я смог загрузить некоторые пакеты, выполнив следующие действия:

Мне пришлось заменить «us.archive.ubuntu.com» и «security.ubuntu.com» в /etc/apt/sources.list WITH «old-releases.ubuntu.com», а затем я смог закончить загрузку некоторых пакетов, как сказал Аюш Кумар.

Для других обновлений, перечисленных моей хостинговой компанией Linode, я использовал следующее:

Мне пришлось использовать флаг --allow-unauthenticated с обновлением sudo apt-get.

sudo apt-get update --allow-unauthenticated

Затем я смог закончить обновление.

Поделиться


luminol    

27 февраля 2018 в 20:07


  • OpenCV в Ubuntu 17.04

    У меня было установлено OpenCV в моей Ubuntu машине под управлением Ubuntu 16.10 . Недавно я обновился до последней версии Ubuntu 17.04 и OpenCV не сработал. Я получаю следующую ошибку. ImportError: libjasper.so.1: cannot open shared object file: No such file or directory Я попытался установить…

  • Установите узел 6.9 на Ubuntu «пикантный» 17.04

    Я хочу установить новейшую версию NodeJS на Ubuntu Zesty 17.04 . Но независимо от того, использую ли я apt-get или пытаюсь загрузить его из nodesource ppa, у меня всегда есть версия 4.7.2. Apt-get sudo apt-get update sudo apt-get install nodejs npm Узел PPA curl -sL…



0

17.04 не получает дальнейшей поддержки от Ubuntu. Итак, решение, которое сработало для меня, состояло в том, чтобы обновить его до 17. 10, поскольку никакие другие решения не помогли.

Поделиться


Ayush Kumar    

27 января 2018 в 04:13


Похожие вопросы:

Возврат системных изменений после обновления apt-get на Linux Mint/Ubuntu

Я использую Linux Mint 11 64 бит. Мне нужно было несколько пакетов для установки новейшего программного обеспечения, и я нашел их в репозиториях ubuntu. Для этого я добавил deb…

Установить openblas через apt-get `sudo apt-get установить openblas-dev`

Можно ли установить openblas через apt-get, как sudo apt-get install openblas-dev ? Кажется, на ubuntu 14.04 он не может его найти. sudo apt-get install openblas-dev Reading package lists… Done…

UBUNTU: sudo apt-get ошибка обновления

Мне нужна помощь, когда я запускаю обновление sudo apt-get, это результат can’t create /var/cache/apt-show-versions/files: No such file or directory at /usr/bin/apt-show-versions line 196. W: GPG…

404 на sudo apt-get обновление 404 не найдено chris-lea/node.js

Я пытаюсь использовать $ sudo add-apt-repository ppa:chris-lea/node.js $ sudo apt-get update для установки и обновления npm и nodejs Большинство ссылок на этот репозиторий, которые я нашел, устарели…

Сбой обновления apt-get на машине vagrant

Я настроил машину vagrant на своем mac, используя следующие команды — vagrant init ubuntu/trusty64 vagrant up Теперь я успешно sshed в машину, используя vagrant ssh и пытаясь использовать sudo…

OpenCV в Ubuntu 17.04

У меня было установлено OpenCV в моей Ubuntu машине под управлением Ubuntu 16.10 . Недавно я обновился до последней версии Ubuntu 17.04 и OpenCV не сработал. Я получаю следующую ошибку. ImportError:…

Установите узел 6.9 на Ubuntu «пикантный» 17.04

Я хочу установить новейшую версию NodeJS на Ubuntu Zesty 17. 04 . Но независимо от того, использую ли я apt-get или пытаюсь загрузить его из nodesource ppa, у меня всегда есть версия 4.7.2. Apt-get…

Установите gitlab-ce на ubuntu сервер 17.04

Я пытаюсь установить пакет gitlab-ce в системе под управлением Ubuntu server 17.04. Я следовал официальным инструкциям по установке здесь . Сначала я побежал: sudo apt-get install curl…

sudo apt-get install scala не найден на ubuntu

Я совершенно озадачен тем, почему эта простая установка sudo не работает. Я запускаю ubuntu 16.04 на virtualbox на windows, и когда я запускаю команду sudo apt-get установить scala команда, я…

curl и mbstring php 7.1 установка на ubuntu 17.04

Я использую php7.1 на Ubuntu 17.04, я пытался установить cURL с помощью этой команды: sudo apt-get install php-curl но я получаю это: Пакет ‘php-curl’ не имеет кандидата на установку Я попытался…

Почему нужно использовать apt-get purge

Управление пакетами в Linux — едва ли не самая спорная тема (ну, разве что, кроме спора между vi против emacs). Отчасти это связано с необходимостью использования командной строки. Новые пользователи не хотят знакомиться с командной строкой. И это ужасно, поскольку командная строка в Linux — это очень мощный инструмент. Один из идеальных примеров — apt-get purge.

Каждый, кто сталкивался с управлением пакетами в Debian или других дистрибутивах на его основе, обязательно должен использовать apt-get purge. Почему? Рассмотрим ситуацию: когда вы установили приложение с помощью apt-get, спустя некоторое время вы можете понять, что это не совсем то приложение, которое вам нужно. Когда вы захотите удалить приложение, скорее всего, вы воспользуетесь командой apt-get remove. И это неплохо, поскольку эта команда отлично справится с удалением приложения, которое вам больше не требуется.

Однако (и это может быть очень большим «Однако»), когда приложение удаляется с помощью apt-get remove, оно оставляет на месте файлы конфигурации. И эти файлы могут содержать важные конфиденциальные данные (например, логины). Даже если такой информации в них нет, вам вряд ли захочется, чтобы они засоряли вашу систему. И здесь на выручку приходит apt-get purge.

Когда приложение удаляется с помощью apt-get purge, будет удалено не только само приложение, но и все связанные с ним конфигурационные файлы. Именно это основная причина, почему для того, чтобы удалить приложение в Ubuntu нужно использовать команду apt-get purge.

Не работает sudo apt-get update. Ubuntu 20.04 LTS как вартуальная система в VirtualBox v 6.1, основная Windows 10

Всем привет, я новичок в Ubuntu. Описание версий выше, не получается выполнить команду sudo apt-get update, соответственно upgrade/install тоже не работают.
Код из терминала при выполнении sudo apt-get update

Get:1 http://ru.archive.ubuntu.com/ubuntu focal InRelease [265 kB]
Hit:2 http://ru.archive.ubuntu.com/ubuntu focal-updates InRelease                      
Hit:3 http://ru.archive.ubuntu.com/ubuntu focal-backports InRelease
Get:4 http://security.ubuntu.com/ubuntu focal-security InRelease [107 kB]
Get:5 http://ru.archive.ubuntu.com/ubuntu focal/main i386 Packages [718 kB]
Get:6 http://ru.archive.ubuntu.com/ubuntu focal/main amd64 Packages [970 kB]
Get:6 http://ru.archive.ubuntu.com/ubuntu focal/main amd64 Packages [970 kB]
Get:6 http://ru.archive.ubuntu.com/ubuntu focal/main amd64 Packages [970 kB]
Get:6 http://ru.archive.ubuntu.com/ubuntu focal/main amd64 Packages [970 kB]
Get:6 http://ru.archive.ubuntu.com/ubuntu focal/main amd64 Packages [970 kB]
Get:6 http://ru.archive.ubuntu.com/ubuntu focal/main amd64 Packages [970 kB]
Get:6 http://ru. archive.ubuntu.com/ubuntu focal/main amd64 Packages [970 kB]
Get:6 http://ru.archive.ubuntu.com/ubuntu focal/main amd64 Packages [970 kB]
Get:6 http://ru.archive.ubuntu.com/ubuntu focal/main amd64 Packages [970 kB]
Get:15 http://ru.archive.ubuntu.com/ubuntu focal/universe i386 Packages [4 642 kB]
Get:16 http://ru.archive.ubuntu.com/ubuntu focal/universe Translation-en [5 124 kB]
Err:8 http://ru.archive.ubuntu.com/ubuntu focal/main amd64 DEP-11 Metadata
  Hash Sum mismatch
  Hashes of expected file:
   - Filesize:2124681 [weak]
   - SHA256:8e0086c5bcd5b0dbb103a52f84d3a66b30c93a9c8a410efaa0c36292f268fe94
   - SHA1:eed9b3fe857e8110e81234e355959ef77eb0b760 [weak]
   - MD5Sum:c4683d85bab6e0b0ddd11ab41fab2524 [weak]
  Hashes of received file:
   - SHA256:59d90785f9ee48c2d6972abfbe0e9c01b4d0b85c2d6d3933e8dbc8fec9f7ead4
   - SHA1:eed9b3fe857e8110e81234e355959ef77eb0b760 [weak]
   - MD5Sum:c4683d85bab6e0b0ddd11ab41fab2524 [weak]
   - Filesize:2124681 [weak]
  Last modification reported: Thu, 23 Apr 2020 11:35:42 +0000
  Release file created at: Thu, 23 Apr 2020 17:33:17 +0000
Get:17 http://ru.archive.ubuntu.com/ubuntu focal/universe amd64 DEP-11 Metadata [3 603 kB]
Err:17 http://ru.archive.ubuntu.com/ubuntu focal/universe amd64 DEP-11 Metadata
  
Get:18 http://ru.archive.ubuntu.com/ubuntu focal/universe amd64 c-n-f Metadata [265 kB]
Get:19 http://ru.archive.ubuntu.com/ubuntu focal/multiverse i386 Packages [74,7 kB]
Get:20 http://ru.archive.ubuntu.com/ubuntu focal/multiverse amd64 Packages [144 kB]
Get:21 http://ru.archive.ubuntu.com/ubuntu focal/multiverse Translation-en [104 kB]
Get:22 http://ru.archive.ubuntu.com/ubuntu focal/multiverse amd64 DEP-11 Metadata [48,4 kB]
Get:23 http://ru.archive.ubuntu.com/ubuntu focal/multiverse amd64 c-n-f Metadata [9 136 B]
Get:24 http://security.ubuntu.com/ubuntu focal-security/main amd64 Packages [127 kB]
Get:25 http://security.ubuntu.com/ubuntu focal-security/main i386 Packages [44,1 kB]
Get:26 http://security.ubuntu.com/ubuntu focal-security/main Translation-en [46,2 kB]
Get:26 http://security. ubuntu.com/ubuntu focal-security/main Translation-en [46,2 kB]
Get:26 http://security.ubuntu.com/ubuntu focal-security/main Translation-en [46,2 kB]
Get:26 http://security.ubuntu.com/ubuntu focal-security/main Translation-en [46,2 kB]
Get:26 http://security.ubuntu.com/ubuntu focal-security/main Translation-en [46,2 kB]
Get:26 http://security.ubuntu.com/ubuntu focal-security/main Translation-en [46,2 kB]
Get:26 http://security.ubuntu.com/ubuntu focal-security/main Translation-en [46,2 kB]
Get:26 http://security.ubuntu.com/ubuntu focal-security/main Translation-en [46,2 kB]
Get:26 http://security.ubuntu.com/ubuntu focal-security/main Translation-en [46,2 kB]
Get:26 http://security.ubuntu.com/ubuntu focal-security/main Translation-en [46,2 kB]
Get:26 http://security.ubuntu.com/ubuntu focal-security/main Translation-en [46,2 kB]
Get:37 http://security.ubuntu.com/ubuntu focal-security/universe amd64 c-n-f Metadata [1 732 B]
Get:38 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 Packages [1 172 B]
Get:39 http://security.ubuntu.com/ubuntu focal-security/multiverse Translation-en [540 B]
Get:40 http://security.ubuntu.com/ubuntu focal-security/multiverse amd64 c-n-f Metadata [116 B]
Fetched 15,1 MB in 2s (7 825 kB/s)                                
Reading package lists... Done
E: Failed to fetch store:/var/lib/apt/lists/partial/ru.archive.ubuntu.com_ubuntu_dists_focal_main_dep11_Components-amd64.yml.xz  Hash Sum mismatch
   Hashes of expected file:
    - Filesize:2124681 [weak]
    - SHA256:8e0086c5bcd5b0dbb103a52f84d3a66b30c93a9c8a410efaa0c36292f268fe94
    - SHA1:eed9b3fe857e8110e81234e355959ef77eb0b760 [weak]
    - MD5Sum:c4683d85bab6e0b0ddd11ab41fab2524 [weak]
   Hashes of received file:
    - SHA256:59d90785f9ee48c2d6972abfbe0e9c01b4d0b85c2d6d3933e8dbc8fec9f7ead4
    - SHA1:eed9b3fe857e8110e81234e355959ef77eb0b760 [weak]
    - MD5Sum:c4683d85bab6e0b0ddd11ab41fab2524 [weak]
    - Filesize:2124681 [weak]
   Last modification reported: Thu, 23 Apr 2020 11:35:42 +0000
   Release file created at: Thu, 23 Apr 2020 17:33:17 +0000
E: Failed to fetch http://ru. archive.ubuntu.com/ubuntu/dists/focal/universe/dep11/by-hash/SHA256/25f05d5ab28ffd6bdb57ab80b34ecee249c3783fbd893a2338d0b848ed389882  
E: Some index files failed to download. They have been ignored, or old ones used instead.

Пробовал менять ссылки на зеркала представленные на сайте

Очищал пакеты, проверял пинг на «nameserver 8.8.8.8», пинг есть, интернет на виртуалке есть, но команда никак не выполняется, при изменении ссылок ошибки могут меняться, но никогда не доходит до конца. Подскажите пожалуйста

Разница между apt и apt-get – IT is good

Краткая информация. В этой статье объясняется различие между командами apt и apt-get Linux.

В нем также перечислены некоторые из наиболее часто используемых команд apt, которые заменяют старые команды apt-get.

Одной из заметных новых возможностей Ubuntu 16.04 было «введение» команды apt. Реальность такова, что первая стабильная версия apt была выпущена в 2014 году, но люди начали замечать ее в 2016 году выпуском Ubuntu 16.04.

Стало привычным видеть пакет apt install вместо обычного пакета установки apt-get.

В конце концов, многие другие дистрибутивы следовали за Ubuntu и начали поощрять пользователей использовать apt вместо apt-get.

Возможно, вам интересно, какая разница между apt-get и apt?

И если у них есть аналогичная командная структура, какая потребность в новой команде apt?

Вы могли бы также думать, что apt лучше, чем apt-get?

Вы используете новую команду apt или придерживаетесь старых старых команд apt-get?

Я объясню все эти вопросы в этой статье, и я надеюсь, что к концу этой статьи вы получите более четкое представление.

apt vs apt-get

В чем разница между apt vs apt-get

Несколько лет назад Linux Mint реализовал оболочку python, называемую apt, которая фактически использует apt-get, но предоставляет более дружественные параметры.

Этот подход, который мы обсуждаем здесь, не то же самое, что в Linux Mint.

Прежде чем мы увидим разницу между apt и apt-get, давайте перейдем на задний план этих команд и что именно они пытаются достичь.

Почему apt был представлен в первую очередь?

Debian, мать Linux дистрибутивов, таких как Ubuntu, Linux Mint, Elementary OS  и т.д.,имеет надежную систему упаковки, и каждый компонент и приложение встроены в пакет, который установлен в вашей системе.

Для управления этой системой упаковки Debian использует набор инструментов под названием Advanced Packaging Tool (APT).

Не путайте его с apt, это не одно и то же.

Существуют различные инструменты, которые взаимодействуют с APT и позволяют устанавливать, удалять и управлять пакетами в дистрибутивах Linux на базе Debian.

apt-get – один из таких инструментов командной строки, который широко популярен.

Другим популярным инструментом является Aptitude с графическим интерфейсом и параметрами командной строки.

Если вы прочитали мой путеводитель по командам apt-get, вы можете столкнуться с рядом подобных команд, таких как apt-cache.

И здесь возникает проблема.

Понимаете, эти команды слишком низки, и у них так много функциональных возможностей, которые, возможно, никогда не используются средним пользователем Linux.

С другой стороны, наиболее часто используемые команды управления пакетами разбросаны по apt-get и apt-cache.

Для решения этой проблемы были введены команды apt.

apt состоит из наиболее широко используемых функций из apt-get и apt-cache, оставляя в стороне неясные и редко используемые функции.

Он также может управлять файлом apt.conf.

С помощью apt вам не нужно возиться с командами apt-get в apt-cache.

apt более структурирован и предоставляет вам необходимые параметры, необходимые для управления пакетами.

Итог: apt = наиболее часто используемые параметры команды из apt-get и apt-cache.

Разница между apt и apt-get

Таким образом, с apt, вы получаете все необходимые инструменты в одном месте.

Вы не будете потеряны в тоннах параметров команды.

Основная цель apt – обеспечить эффективный способ обработки пакета так, «приятным для конечных пользователей».

Когда Debian говорит «приятный для конечных пользователей», это на самом деле означает это.

У него меньше, но достаточно вариантов команд, но более организованным способом.

Кроме того, он позволяет по умолчанию использовать несколько опций, которые действительно полезны для конечных пользователей.

Например, вы можете увидеть индикатор выполнения при установке или удалении программы в apt.

apt также запрашивает количество пакетов, которые могут быть обновлены при обновлении базы данных репозитория.

Вы можете достичь того же с помощью apt-get, если используете дополнительные параметры команды. apt позволяет им по умолчанию

Разница между командами apt и apt-get

Хотя apt имеет некоторые аналогичные параметры команды, такие как apt-get, он не обратно совместим с apt-get.

Это означает, что он не всегда будет работать, если вы просто замените apt-get часть команды apt-get с помощью apt.

Давайте посмотрим, какая команда apt заменяет параметры apt-get и apt-cache.

apt apt-get Функция команды
apt install apt-get install Installs a package
apt remove apt-get remove Removes a package
apt purge apt-get purge Removes package with configuration
apt update apt-get update Refreshes repository index
apt upgrade apt-get upgrade Upgrades all upgradable packages
apt autoremove apt-get autoremove Removes unwanted packages
apt full-upgrade apt-get dist-upgrade Upgrades packages with auto-handling of dependencies
apt search apt-cache search Searches for the program
apt show apt-cache show Shows package details

 

У apt есть несколько собственных команд.

apt Функция команды
apt list Lists packages with criteria (installed, upgradable etc)
apt edit-sources Edits sources list

Здесь следует отметить, что apt находится в непрерывном развитии.

Таким образом, вы можете увидеть несколько новых параметров, добавленных в команду в будущих версиях.

 

Поделитесь статьей:

Базовые команды apt-get и apt-cache — Linux

Утилита apt-get — производительная свободная консольная программа, используемая и работающая с библиотекой APT (Advanced Packaging Tool) для выполнения установки новых пакетов с ПО, удаления существующих, обновления установленых, а также для обновления всей операционной системы.

Консольная утилита apt-cache используется для поиска в кеше программных пакетов APT. Говоря простыми словами, этот инструмент, используется для поиска пакетов, сбора информации о пакетах и поиска пакетов, доступных для установки в операционных системах, основанных на Debian или Ubuntu.

Как можно получить список всех доступных пакетов?

Чтобы увидеть все доступные пакеты, выполните следующую команду:


apt-cache pkgnames

Как можно найти имя пакета и его описание.

Чтобы найти название пакета и его описание перед установкой, используйте флаг «search». Использование “search” c apt-cache отобразит список подходящих пакетов с кратким описанием. Например, вы хотите найти описание пакета vsftpd: чтобы сделать это, команда должна быть вот такой:


apt-cache search vsftpd

Чтобы найти и перечислить все пакеты, имя которых начинается с vsftpd, вы можете использовать следующую команду:


apt-cache pkgnames vsftpd

Как я могу просмотреть информацию о пакете?

Например, если вы хотите ознакомиться с информацией о пакете, с его кратким описанием, отображающим номер версии, контрольные суммы, размер, размер после установки, категории и так далее, вы можете использовать подкоманду «show», как показано ниже:


apt-cache show netcat

Как можно проверить зависимости какого-либо пакета?

Чтобы проверить зависимости конкретного пакета, вы можете использовать подкоманду showpkg, чтобы узнать, установлены эти зависимости или нет. Например, используйте команду showpkg вместе с названием пакета.


apt-cache showpkg vsftpd

Как можно просмотреть статистику кэша?

Подкоманда stats отобразит полную статистику о кеше, например, полное число пакетов, найденное в кеше. Используйте такую команду:


apt-cache stats

Как обновить список пакетов в системе?

Команда update используется для синхронизации и обновления индексных файлов пакетов. Синхронизация происходит с источниками, указанными в файле /etc/apt/sources.list. Эту команду можно использовать, например, чтобы не упускать важные обновления пакетов.


sudo apt-get update

Как обновить пакеты в системе?

Команда upgrade используется для обновления всего установленного на данный момент софта в вашйе системе. Иногда может получиться так, что обновление установить нельзя из-за какого-либо другого пакета, который требует старую версию.


sudo apt-get upgrade

Но если вы хотите обновиться вне зависимости от требований пакетов, используйте подкоманду dist-upgrade:


sudo apt-get dist-upgrade

Как я могу установить или обновить какой-либо конкретный пакет?

Подкоманда install используется для установки или обновления какого-либо пакета.


sudo apt-get install netcat

Как я могу установить несколько пакетов сразу?

Вы можете ввести названия нескольих пакетов, чтобы установить их одновременно. Например, чтобы установить пакеты nethogs и goaccess, вы можете выполнить следующую команду:


sudo apt-get install nethogs goaccess

Как установить несколько пакетов по «маске» названия

С помощью регулярных вырежний вы можете добавлять несколько пакетов с помощью специальных символов. Например, можно использовать звездочку, чтобы установить все пакеты, которые содержат строку «name» в названии:


sudo apt-get install *name*

Как установить пакеты без обновления.

Использование флага –no-upgrade предотвратит обновление уже установленных пакетов.


sudo apt-get install packageName --no-upgrade

Как только обновить определенные пакеты?

Флаг –only-upgrade не установит новые пакеты, а только обновит существующие.


sudo apt-get install имя_пакета --only-upgrade

Как я могу установить определенную версию пакета?

Представим, что вам необходимо установить специфичную версию пакета, просто используйте знак равно вместе с именем пакета и припишите желаемую версию.


sudo apt-get install vsftpd=2.3.5-3ubuntu1

Как удалить пакеты без удаления настроек?

Чтобы удалить программные пакеты без удаления их конфигурационных файлов (для дальнейшего их использования), используйте команду remove как показано.


sudo apt-get remove vsftpd

Как полностью удалить пакеты?

Чтобы удалить пакет вместе с его файлами настроек, используете подкоманду purge, как показано ниже.


sudo apt-get purge vsftpd

Или вы можете объединить обе команды, вот так:


sudo apt-get remove --purge vsftpd

Как можно очистить место на диске?

Команда clean используется для освобождения дискового пространствва за счет удаления полученных .deb-файлов пакетов в вашем локальном репозитории.


sudo apt-get clean

Как только загрузить исходный код пакета?

Чтобы только загрузить исходный код пакета, вы можете использовать опцию –download-only source с именем пакета, например:


sudo apt-get --download-only source vsftpd

Как можно загрузить и распаковать пакет?

Чтобы загрузить и распаковать исходный код пакета в специальную директорию, выполните следующую команду:


sudo apt-get source vsftpd

Как можно загрузить, распаковать и скомпилировать исходный код пакета?

Вы также можете загрузить, распаковать и скомпилировать исходный код пакета, используя опцию ‘–compile‘, как показано ниже:


sudo apt-get --compile source goaccess

Как загрузить пакет без установки

Используя опцию «download», вы можете загрузить любой пакет, не устанавливая его. Например, следующая команда только загрузит пакет nethogs в текущую рабочую директорию.


sudo apt-get download nethogs

Как можно просмотреть лог изменений (changelog) пакета?

Флаг changelog загружает лог изменений пакета и отображает версию пакета, если он установлен.


sudo apt-get changelog vsftpd

Как можно исправить сломанные зависимости?

Команда «check» — инструмент для диагностики, он используется для обновления кеша пакетов и проверки на сломанные зависимости.


sudo apt-get check

Как можно найти и собрать зависимости?

Команда build-dep ищет и устанавливает собранные зависимости нужного пакета. Если пакет отсутствует в локальном репозитории, вы получите ошибку.


sudo apt-get build-dep netcat

Как можно автоматически очистить кеш Apt-Get?

Команда autoclean удаляет все .deb-файлы из /var/cache/apt/archives для освобождения свободного места на жестком диске.


sudo apt-get autoclean

Как можно автоматически удалить ненужные пакеты?

Подкоманда autoremove используется для автоматического удаления пакетов, которые были установлены как зависимости других, но сейчас они больше не нужны. Например, следующая команда удалит установленный пакет вместе с его зависимостями.


sudo apt-get autoremove vsftpd

Информация любезно предоставлена сайтом myubuntu.ru. Спасибо.

Ссылки

ВКонтакте

Twitter

Facebook

Одноклассники

Linkedin

Telegram

WhatsApp

Ubuntu

Manpage Ubuntu: apt-get — утилита обработки пакетов APT —

Предоставлено: apt_1.7. 0_amd64

 

НАИМЕНОВАНИЕ

       apt-get - утилита обработки пакетов APT - интерфейс командной строки

 

ОБЗОР

         apt-get  [ -asqdyfmubV ] [ -o =   config_string ] [ -c =   config_file ] [ -t =   target_release ]
               [ -a =  , архитектура ] {обновление | обновление | dselect-upgrade | dist-upgrade |
               установить  pkg  [{=  pkg_version_number  | /  target_release }]... | удалить  уп.  ... |
               продувка  уп.  ... | исходный код  pkg  [{=  pkg_version_number  | /  target_release }] ... |
               build-dep  pkg  [{=  pkg_version_number  | /  target_release }] ... |
               загрузить  pkg  [{=  pkg_version_number  | /  target_release }] ... | проверить | чистый |
               авточистка | автоудаление | {-v | --version} | {-h | --помощь}}

 

ОПИСАНИЕ

         apt-get  - это инструмент командной строки для обработки пакетов, который может рассматриваться как пользовательский
       «back-end» для других инструментов с помощью библиотеки APT.Существует несколько "интерфейсных" интерфейсов,
       такие как  aptitude  (8),  synaptic  (8) и  wajig  (1).

       Если не указан параметр  -h  или  --help , должна присутствовать одна из следующих команд.

         обновление 
           update используется для повторной синхронизации файлов индекса пакетов из их источников. В
           индексы доступных пакетов извлекаются из мест, указанных в
           /etc/apt/sources.list. Например, при использовании архива Debian эта команда
           извлекает и сканирует пакеты.gz файлы, так что информация о новых и обновленных
           пакеты доступны. Обновление всегда следует выполнять перед обновлением или
           dist-upgrade.  Имейте в виду, что общий индикатор прогресса будет неправильным, так как
           размер файлов пакета не может быть известен заранее.

         обновление 
           обновление используется для установки новейших версий всех пакетов, установленных в настоящее время на
           система из источников, перечисленных в / etc / apt / sources.список. Пакеты в настоящее время
           установлены с новыми доступными версиями, извлекаются и обновляются; под нет
           обстоятельства: в настоящее время установленные пакеты удалены или пакеты еще не установлены
           установлен извлечен и установлен. Новые версии установленных пакетов, которые
           невозможно обновить без изменения статуса установки другого пакета, останется
           в их текущей версии. Сначала необходимо выполнить обновление, чтобы  apt-get  знал, что
           доступны новые версии пакетов. дист-апгрейд 
           dist-upgrade помимо выполнения функции обновления, также разумно
           обрабатывает изменение зависимостей с новыми версиями пакетов;  apt-get  имеет "умный"
           система разрешения конфликтов, и она попытается обновить наиболее важные пакеты
           при необходимости за счет менее важных. Команда dist-upgrade может
           поэтому удалите некоторые пакеты. Файл /etc/apt/sources.list содержит список
           места, из которых можно получить файлы желаемых пакетов.См. Также  apt_preferences  (5)
           для механизма отмены общих настроек для отдельных пакетов.

         dselect-апгрейд 
           dselect-upgrade используется вместе с традиционным пакетом Debian.
           интерфейсная,  dselect  (1). dselect-upgrade следует за изменениями, внесенными  dselect  (1) в
           Поле состояния доступных пакетов и выполняет действия, необходимые для того, чтобы понять, что
           состояние (например, удаление старых и установка новых пакетов). установить 
           install следует за одним или несколькими пакетами, которые необходимо установить или обновить. 
           Каждый пакет - это имя пакета, а не полное имя файла (например, в
           Система Debian, аргументом будет apt-utils, а не
           apt-utils_1.7.0_amd64.deb). Все пакеты, необходимые для пакетов, указанных для
           установка также будет извлечена и установлена. Файл /etc/apt/sources.list
           используется для поиска нужных пакетов.Если к имени пакета добавлен дефис (с
           без промежуточного пространства), указанный пакет будет удален, если он установлен.
           Точно так же знак плюса можно использовать для обозначения пакета для установки. Эти последние
           функции могут использоваться для отмены решений, принятых при разрешении конфликтов apt-get
           система.

           Определенную версию пакета можно выбрать для установки, выполнив следующие действия.
           имя пакета со знаком равенства и версия пакета для выбора.Это вызовет
           эта версия должна быть найдена и выбрана для установки. В качестве альтернативы конкретный
           дистрибутив можно выбрать, поставив после имени пакета косую черту и
           версия дистрибутива или название архива (стабильная, тестовая, нестабильная).

           Оба механизма выбора версии могут понижать версию пакетов и должны использоваться с
           забота.

           Это также цель, которую можно использовать, если вы хотите обновить один или несколько уже установленных
           пакеты без обновления каждого пакета, который есть в вашей системе.В отличие от "апгрейда"
           target, который устанавливает самую новую версию всех установленных пакетов,
           "install" установит последнюю версию только указанного пакета (ов). Просто
           укажите имя пакета (ов), который вы хотите обновить, и если более новая версия
           доступен, он (и его зависимости, как описано выше) будет загружен и
           установлены.

           Наконец, механизм  apt_preferences  (5) позволяет создать альтернативный
           политика установки для отдельных пакетов. 'или' $ 'или создайте еще
           конкретное регулярное выражение.

         удалить 
           remove идентичен установке, за исключением того, что пакеты удаляются, а не устанавливаются.
           Обратите внимание, что при удалении пакета его файлы конфигурации остаются в системе. Если плюс
           к имени пакета добавляется знак (без пробелов), идентифицированный
           пакет будет установлен вместо удаления.

         продувка 
           очистка идентична удалению, за исключением того, что пакеты удаляются и очищаются (любые
           файлы конфигурации тоже удаляются). источник 
           source заставляет  apt-get  получать пакеты с исходным кодом. APT изучит доступные
           пакеты, чтобы решить, какой исходный пакет выбрать. Затем он найдет и загрузит в
           текущий каталог - новейшая доступная версия этого исходного пакета, в то время как
           соблюдая выпуск по умолчанию, установленный с опцией APT :: Default-Release,  -t 
           вариант или для каждого пакета с синтаксисом pkg / release, если это возможно.Пакеты с исходным кодом отслеживаются отдельно от двоичных пакетов с помощью строк deb-src в
             sources.list  (5) файл. Это означает, что вам нужно будет добавить такую ​​строку для каждого
           репозиторий, из которого вы хотите получить исходники; в противном случае вы, вероятно, получите либо
           неправильные (слишком старые / слишком новые) исходные версии или их нет вообще.

           Если указана опция  --compile , то пакет будет скомпилирован в двоичный файл.
           .deb с использованием  dpkg-buildpackage  для архитектуры, определенной в
             - host-architecture  option.Если указано  --download-only , то исходный пакет
           распаковываться не будет.

           Определенную версию источника можно получить, добавив к имени источника постфиксацию
           равно, а затем версию для выборки, аналогично механизму, используемому для пакета
           файлы.  Это позволяет неявно точно сопоставить имя и версию исходного пакета.
           включение опции APT :: Get :: Only-Source.

           Обратите внимание, что исходные пакеты не устанавливаются и не отслеживаются в базе данных  dpkg , например
           бинарные пакеты; они просто загружаются в текущий каталог, как исходный код
           архивы. сборка 
           build-dep заставляет apt-get устанавливать / удалять пакеты в попытке удовлетворить сборку
           зависимости для исходного пакета. По умолчанию зависимости удовлетворяются для сборки
           пакет изначально. При желании можно указать хост-архитектуру с помощью
             - host-architecture  вместо этого.

         чек 
           чек - диагностический инструмент; он обновляет кеш пакетов и проверяет наличие сломанных
           зависимости. загрузить 
           download загрузит данный двоичный пакет в текущий каталог.

         чистый 
           clean очищает локальный репозиторий от полученных файлов пакетов. Он удаляет
           все, кроме файла блокировки из / var / cache / apt / archives / и
           / var / cache / apt / archives / partial /.

         autoclean  (и псевдоним  auto-clean  с версии 1.1)
           Как и clean, autoclean очищает локальный репозиторий от полученных файлов пакетов.В
           разница в том, что он удаляет только файлы пакетов, которые больше не могут быть загружены, и
           в значительной степени бесполезны. Это позволяет поддерживать кеш в течение длительного периода без
           он выходит из-под контроля. Параметр конфигурации APT :: Clean-Installed предотвратит
           установленные пакеты не удаляются, если он отключен.

         автоудаление  автоудаление псевдонима  с версии 1.1)
           autoremove используется для удаления пакетов, которые были автоматически установлены, чтобы удовлетворить
           зависимости для других пакетов и больше не нужны. список изменений 
           changelog пытается загрузить журнал изменений пакета и отображает его через
             толковый пейджер .  По умолчанию он отображает журнал изменений для версии, которая
           установлены. Однако вы можете указать те же параметры, что и для команды  install .

         индексов 
           По умолчанию отображает список информации обо всех файлах данных в формате deb822.
           (он же индексные цели)  apt-get   будет загружено обновление .Поддерживает опцию  --format  для
           изменить формат вывода, а также принимает строки вывода по умолчанию для фильтрации
           записи по. Команда в основном используется как интерфейс для внешних инструментов, работающих с
           APT для получения информации, а также имен файлов для загруженных файлов, чтобы они могли их использовать
           а также вместо того, чтобы загружать их заново самостоятельно. Подробная документация есть
           опущено здесь и вместо этого может быть найдено в файле
           / usr / share / doc / apt-doc / получить дополнительные файлы.md.gz поставляется в пакете apt-doc.

 

ОПЦИИ

       Все параметры командной строки могут быть установлены с помощью файла конфигурации, описания
       укажите параметр конфигурации, который необходимо установить. Для логических параметров вы можете переопределить конфигурацию
       файл, используя что-то вроде  -f- ,  --no-f ,  -f = no  или несколько других вариантов.

         --no-install-рекомендует 
           Не рассматривайте рекомендуемые пакеты как зависимость для установки.Конфигурация
           Пункт: APT :: Install-Recommends.

         - установка-предлагает 
           Рассматривайте предлагаемые пакеты как зависимость для установки. Элемент конфигурации:
           APT :: Установить-предлагает.

         -d ,  - только загрузка 
           Только скачивание; файлы пакетов только извлекаются, но не распаковываются и не устанавливаются.
           Элемент конфигурации: APT :: Get :: Только для загрузки.

         -f ,  - исправно-сломанный 
           Исправить; попытаться исправить систему с нарушенными зависимостями. Этот вариант, когда
           используется с установкой / удалением, может опускать любые пакеты, чтобы APT мог определить вероятный
           решение. Если указаны пакеты, они должны полностью устранить проблему. В
           опция иногда необходима при первом запуске APT; Сам APT не
           позволить сломанным зависимостям пакетов существовать в системе. Возможно, что система
           структура зависимостей может быть настолько повреждена, что потребует ручного вмешательства (что
           обычно означает использование  dpkg   --remove , чтобы удалить некоторые из вредоносных пакетов).Использование
           эта опция вместе с  -m  может в некоторых ситуациях вызывать ошибку. Конфигурация
           Элемент: APT :: Get :: Fix-Broken.

        ,  - пропущено-пропущено ,  - исправлено-пропущено 
           Игнорировать отсутствующие пакеты; если пакеты не могут быть получены или не проходят проверку целостности
           после извлечения (поврежденные файлы пакетов) задержите эти пакеты и обработайте
           результат. Использование этой опции вместе с  -f  может привести к ошибке в некоторых ситуациях.Если для установки выбран пакет (особенно если он упоминается в
           командная строка), и он не может быть загружен, он будет тихо задержан.
           Элемент конфигурации: APT :: Get :: Fix-Missing.

         - не скачивать 
           Отключает загрузку пакетов. Лучше всего использовать с  --ignore-missing  для принудительного APT
           использовать только уже загруженные файлы .debs. Элемент конфигурации:
           APT :: Get :: Скачать.

         -q ,  - тихий 
           Тихий; выводит данные, пригодные для ведения журнала, без индикаторов прогресса.Больше q
           будет производить тише максимум до 2. Вы также можете использовать  -q = # , чтобы установить тихий
           уровень, переопределив файл конфигурации. Обратите внимание, что тихий уровень 2 подразумевает  -y ; ты
           никогда не следует использовать -qq без модификатора бездействия, такого как -d, --print-uris или -s как
           APT может решить сделать что-то, чего вы не ожидали.  Элемент конфигурации: тихий.

         -s ,  --simulate ,  --just-print ,  --dry-run ,  --recon ,  --no-act 
           Бездействие; выполнить моделирование событий, которые могут произойти в текущей системе
           состояние, но фактически не меняют систему.Блокировка будет отключена
           ( Debug :: NoLocking ), поэтому состояние системы может измениться во время работы  apt-get .
           Моделирование также может выполняться пользователями без полномочий root, которые могут не иметь доступа на чтение к
           вся подходящая конфигурация, искажающая симуляцию. Уведомление об этом предупреждении
           также отображается по умолчанию для пользователей без полномочий root ( APT :: Get :: Show-User-Simulation-Note ).
           Элемент конфигурации: APT :: Get :: Simulate.

           Моделируемые прогоны распечатывают серию строк, каждая из которых представляет операцию  dpkg :
           настроить (Conf), удалить (Remv) или распаковать (Inst).Квадратные скобки указывают на сломанный
           пакеты, а пустые квадратные скобки указывают на перерывы, которые не имеют значения (редко).

         -y ,  -yes ,  -assume-yes 
           Автоматически да подсказкам; примите «да» в качестве ответа на все запросы и запустите
           не интерактивно. Если возникла нежелательная ситуация, например, изменение удерживаемой посылки,
           происходит попытка установить неаутентифицированный пакет или удалить важный пакет
           тогда команда apt-get будет прервана.Элемент конфигурации: APT :: Get :: Assume-Yes.

         --предп. № 
           Автоматическое «нет» всем подсказкам. Элемент конфигурации: APT :: Get :: Assume-No.

         -не показывать-модернизировано 
           Не отображать список всех пакетов, которые необходимо обновить. Элемент конфигурации:
           APT :: Get :: Show-Upgraded.

         -V ,  --verbose-версии 
           Показывать полные версии обновленных и установленных пакетов.  Элемент конфигурации:
           APT :: Get :: Show-Versions. -a ,  --host-architecture 
           Эта опция контролирует, для каких пакетов архитектуры созданы  apt-get   source 
             - откомпилировать  и как удовлетворить кросс-компоновочные зависимости. По умолчанию он не установлен
           это означает, что архитектура хоста такая же, как архитектура сборки (которая
           определяется APT :: Architecture). Элемент конфигурации: APT :: Get :: Host-Architecture.

        ,  - сборные профили 
           Эта опция контролирует активированные профили сборки, для которых создается исходный пакет.
           by  apt-get   source   --compile  и как удовлетворяются зависимости сборки.По умолчанию нет
           профиль сборки активен. Одновременно можно активировать более одного профиля сборки,
           соединяя их запятой. Элемент конфигурации: APT :: Build-Profiles.

         -b ,  --компилировать ,  - построить 
           Скомпилируйте пакеты с исходным кодом после их загрузки. Элемент конфигурации: APT :: Get :: Compile.

         - игнорировать-удерживать 
           Игнорировать удержания пакетов; это заставляет  apt-get  игнорировать удержание пакета.Этот
           может быть полезно в сочетании с dist-upgrade для отмены большого количества нежелательных
           держит. Элемент конфигурации: APT :: Ignore-Hold.

         --with-new-pkgs 
           Разрешить установку новых пакетов при использовании вместе с обновлением. Это полезно, если
           обновление установленного пакета требует установки новых зависимостей. Вместо
           удержания обновления пакета обновит пакет и установит новый
           зависимости.Обратите внимание, что обновление с этой опцией никогда не удалит пакеты, а только
           разрешить добавление новых. Элемент конфигурации: APT :: Get :: Upgrade-Allow-New.

         - без обновления 
           Не обновляйте пакеты; при использовании вместе с установкой, обновление не будет
           запретить обновление пакетов в командной строке, если они уже
           установлены.  Элемент конфигурации: APT :: Get :: Upgrade.

         - только обновление 
           Не устанавливайте новые пакеты; при использовании вместе с установкой only-upgrade будет
           устанавливать обновления только для уже установленных пакетов и игнорировать запросы на установку
           новые пакеты.Элемент конфигурации: APT :: Get :: Only-Upgrade.

         - разрешено снижение 
           Это опасный вариант, который приведет к тому, что склонность продолжит работу без запроса, если это
           делаю понижения. Его не следует использовать, за исключением особых ситуаций. Используй это
           потенциально может разрушить вашу систему! Элемент конфигурации: APT :: Get :: allow-downgrades.
           Представлено в APT 1.1.

         - разрешить-удалить-существенное 
           Принудительно да; это опасный вариант, который приведет к продолжению работы без
           подсказка, если он удаляет предметы первой необходимости.Его не следует использовать, кроме как в особых случаях.
           ситуации. Его использование может потенциально разрушить вашу систему! Элемент конфигурации:
           APT :: Get :: allow-remove-essential. Представлено в APT 1.1.

         - пакеты с разрешенной заменой 
           Принудительно да; это опасный вариант, который приведет к продолжению работы без
           запрос на изменение удерживаемых пакетов. Его не следует использовать, кроме как в очень
           особые ситуации. Его использование может потенциально разрушить вашу систему! Элемент конфигурации:
           APT :: Get :: allow-change-hold-packages.Представлено в APT 1.1.

         --force-да 
           Принудительно да; это опасный вариант, который приведет к продолжению работы без
           подсказка, если он делает что-то потенциально опасное. Его не следует использовать, кроме
           в особых ситуациях. Использование force-yes может потенциально разрушить вашу систему!
           Элемент конфигурации: APT :: Get :: force-yes.  Это устарело и заменено на
             - разрешить-неаутентифицированный ,  - разрешить-понижать ,  - разрешить-удалить-существенный ,
             - пакеты с разрешенной заменой  в 1.1.

         --print-uris 
           Вместо загрузки файлов для установки печатаются их URI. Каждый URI будет иметь
           путь, имя файла назначения, размер и ожидаемый хэш MD5. Обратите внимание, что
           имя файла для записи не всегда будет совпадать с именем файла на удаленном сайте! Этот
           также работает с командами источника и обновления. При использовании с командой обновления
           MD5 и размер не включены, и пользователь должен распаковать любые сжатые файлы.
           файлы.Элемент конфигурации: APT :: Get :: Print-URIs.

         - продувка 
           Используйте очистку вместо удаления для всего, что нужно удалить. Звездочка ("*") будет
           будет отображаться рядом с пакетами, которые планируется очистить.  удалить   - очистить  есть
           эквивалентно команде  purge . Элемент конфигурации: APT :: Get :: Purge.

         - переустановить 
           Переустановите уже установленные пакеты последней версии.Элемент конфигурации: APT :: Get :: ReInstall.

         - очистка списка 
           Эта опция по умолчанию включена; используйте --no-list-cleanup, чтобы выключить его. Когда он горит,
             apt-get  будет автоматически управлять содержимым / var / lib / apt / lists, чтобы гарантировать, что
           устаревшие файлы стираются. Единственная причина выключить его, если вы часто меняете
           список ваших источников. Элемент конфигурации: APT :: Get :: List-Cleanup.

         -t ,  --target-release ,  --default-release 
           Этот параметр управляет вводом по умолчанию для механизма политики; он создает булавку по умолчанию
           с приоритетом 990, используя указанную строку выпуска.Это отменяет общие
           настройки в / etc / apt / preferences.  На специально закрепленные пакеты не влияет
           значение этой опции. Короче говоря, эта опция позволяет вам просто контролировать, какие
           пакеты распространения будут извлечены из. Некоторые общие примеры могут быть такими:  -t   '2.1 *' ,
             -t   нестабильный  или  -t   sid . Элемент конфигурации: APT :: Default-Release; см. также
             apt_preferences  (5) страница руководства. - только тривиальный 
           Выполняйте только «тривиальные» операции. Логически это можно считать родственным
           к  --принять-да ; где  --assume-yes  ответит утвердительно на любой запрос,  --trivial-only  ответит
           ответ нет. Элемент конфигурации: APT :: Get :: Trivial-Only.

         - без удаления 
           Если какие-либо пакеты должны быть удалены, apt-get немедленно прекращает работу без запроса.
           Элемент конфигурации: APT :: Get :: Remove. --автоматическое удаление ,  --автоудаление 
           Если команда устанавливает или удаляет, то этот параметр действует как запуск
           команда autoremove, удаляющая неиспользуемые пакеты зависимостей. Элемент конфигурации:
           APT :: Get :: AutomaticRemove.

         - только источник 
           Имеет значение только для команд source и build-dep. Указывает, что данный
           имена источников не должны отображаться через двоичную таблицу. Это означает, что если это
           указана опция, эти команды будут принимать только имена исходных пакетов как
           аргументы, вместо того, чтобы принимать имена двоичных пакетов и искать соответствующие
           исходный пакет.Элемент конфигурации: APT :: Get :: Only-Source.

         --diff-only ,  --dsc-only ,  --tar-only 
           Загрузите только файл diff, dsc или tar исходного архива. Элемент конфигурации:
           APT :: Get :: Diff-Only, APT :: Get :: Dsc-Only и APT :: Get :: Tar-Only. 

         - только для архива 
           Только процессы зависимостей сборки, зависящие от архитектуры. Элемент конфигурации:
           APT :: Get :: Arch-Only.

         --indep-only 
           Обрабатывайте только независимые от архитектуры зависимости сборки.Элемент конфигурации:
           APT :: Get :: Indep-Only.

         - разрешено-неаутентифицировано 
           Игнорировать, если пакеты не могут быть аутентифицированы, и не запрашивать об этом. Это может быть
           полезно при работе с локальными репозиториями, но представляет собой огромный риск для безопасности, если данные
           Иным образом сам пользователь не гарантирует подлинность. Использование  Trusted 
           вариант для  sources.list  (5) записей обычно предпочтительнее этого глобального
           переопределить.Элемент конфигурации: APT :: Get :: AllowUnauthenticated.

         --no-allow-insecure-repositories 
           Запретите команде обновления получать непроверяемые данные из настроенных источников. APT
           завершится ошибкой при выполнении команды обновления для репозиториев без достоверных криптографических данных
           подписи. См. Также  apt-secure  (8) для получения подробной информации о концепции и ее значениях.
           Элемент конфигурации: Acquire :: AllowInsecureRepositories.

         --allow-releaseinfo-change 
           Разрешить команде обновления продолжить загрузку данных из измененного репозитория.
           его информация о выпуске, содержащаяся в репозитории, с указанием e.новый мажор
           выпускать. APT не выполнит команду обновления для таких репозиториев, пока изменение не будет
           подтверждено, чтобы убедиться, что пользователь готов к изменению. См. Также  apt-secure  (8) для
           подробности о концепции и комплектации.

           Параметры специалиста (--allow-releaseinfo-change- , поле ) позволяют вносить изменения только для
           определенные поля, такие как origin, label, codename, suite, version и defaultpin.  Смотрите также
             apt_preferences  (5).Элемент конфигурации: Acquire :: AllowReleaseInfoChange.

         - шоу-прогресс 
           Показывать удобную для пользователя информацию о ходе выполнения в окне терминала, когда пакеты
           установлен, обновлен или удален. Версию этих данных для машинного анализа см.
           README.progress-reporting в каталоге apt doc. Элементы конфигурации:
           Dpkg :: Progress и Dpkg :: Progress-Fancy.

         --with-source   имя_файла 
           Добавляет указанный файл в качестве источника метаданных.Можно повторить, чтобы добавить несколько файлов.
           См. Описание  --with-source  в  apt-cache  (8) для получения дополнительных сведений.

         -h ,  --help 
           Покажите краткую сводку использования.

         -v ,  - версия 
           Покажи версию программы.

         -c ,  --config-файл 
           Файл конфигурации; Укажите файл конфигурации для использования. Программа прочитает
           файл конфигурации по умолчанию, а затем этот файл конфигурации.Если параметры конфигурации
           необходимо установить до того, как будут проанализированы файлы конфигурации по умолчанию, укажите файл с
           переменная среды  APT_CONFIG . См. Информацию о синтаксисе  apt.conf  (5).

         -o ,  - опция 
           Установите параметр конфигурации; Это установит произвольную опцию конфигурации. В
           синтаксис:  -o   Foo :: Bar = bar .  -o  и  - опцию  можно использовать несколько раз для установки
           разные варианты.

ФАЙЛЫ

       /etc/apt/sources.list
           Места для получения пакетов. Элемент конфигурации: Dir :: Etc :: SourceList.

       /etc/apt/sources.list.d/
           Фрагменты файлов, из которых можно получить пакеты. Элемент конфигурации:
           Dir :: Etc :: SourceParts.

       /etc/apt/apt. conf
           Файл конфигурации APT. Элемент конфигурации: Dir :: Etc :: Main.

       /etc/apt/apt.conf.d/
           Фрагменты конфигурационного файла APT. Элемент конфигурации: Dir :: Etc :: Parts./ etc / apt / предпочтения
           Файл настроек версии. Здесь вы должны указать "закрепление", т. Е. Предпочтение
           чтобы получить определенные пакеты из отдельного источника или из другой версии
           распределение. Элемент конфигурации: Dir :: Etc :: Preferences.

       /etc/apt/preferences.d/
           Фрагменты файлов для настроек версии. Элемент конфигурации:
           Dir :: Etc :: PreferencesParts.

       / вар / кеш / apt / архивы /
           Область хранения для извлеченных файлов пакетов.Элемент конфигурации: Dir :: Cache :: Archives.

       / вар / кеш / apt / архивы / частичный /
           Область хранения файлов пакетов в пути. Элемент конфигурации: Dir :: Cache :: Archives
           (частичное будет добавлено неявно)

       / var / lib / apt / lists /
           Область хранения информации о состоянии для каждого ресурса пакета, указанного в
             sources.list  (5) Элемент конфигурации: Dir :: State :: Lists.

       / var / lib / apt / списки / частичный /
           Область хранения информации о состоянии в пути.Элемент конфигурации: Dir :: State :: Lists
           (частичное будет добавлено неявно)

 

СМОТРЕТЬ ТАКЖЕ

         apt-cache  (8),  apt-cdrom  (8),  dpkg  (1),  sources.list  (5),  apt.conf  (5),  apt-config  (8 ),  кв-
         secure  (8), Руководство пользователя APT в / usr / share / doc / apt-doc /,  apt_preferences  (5), APT
       Как.

 

ДИАГНОСТИКА

         apt-get  возвращает ноль при нормальной работе, десятичное 100 при ошибке.

ОШИБКИ

         APT   bug   page  [1]. Если вы хотите сообщить об ошибке в APT, см. 
       /usr/share/doc/debian/bug-reporting.txt или команду  reportbug  (1).

 

АВТОРЫ

         Джейсон   Гунторп 

         APT   команда 

 

ПРИМЕЧАНИЯ

        1. Страница ошибки APT
           http: //bugs.debian.org / src: apt
 

Использование команд apt-get в Linux [Полное руководство для начинающих]

Краткое: в этом руководстве для начинающих показано, что вы можете делать с командами apt-get в Linux, — как использовать их для поиска новых пакетов, установки и обновления новых пакетов и очистки вашей системы.

Если вы начали использовать Ubuntu или любой дистрибутив Linux на основе Ubuntu, такой как Linux Mint, elementary OS и т. Д., Вы, должно быть, уже встречали команду apt-get.

Фактически, первое, что нужно сделать после установки Ubuntu, — это использовать apt-get update и apt-get upgrade. Возможно, вы знаете о некоторых командах apt-get и их использовании, но можете не знать о некоторых других.

В этом руководстве для начинающих я собираюсь объяснить различные команды apt-get с примерами, чтобы вы могли использовать их так же, как опытный пользователь Linux.

Эксклюзивный бонус:

Загрузите шпаргалку по командам apt-get

для дальнейшего использования. Вы можете распечатать его или сохранить для просмотра в автономном режиме.

Что такое apt-get?

Ubuntu является производным от Debian Linux. Debian использует систему упаковки dpkg. Система упаковки — это способ предоставления программ и приложений для установки. Таким образом, вам не нужно создавать программу из исходного кода.

APT (Advanced Package Tool) — это инструмент командной строки для взаимодействия с этой упаковочной системой. Для управления им уже есть команды dpkg, но apt — более удобный способ работы с пакетами. Вы можете использовать его для поиска и установки новых пакетов, обновления пакетов, очистки ваших пакетов и т. Д.

Существует два основных инструмента вокруг APT: apt-get и apt-cache. apt-get предназначен для установки, обновления и очистки пакетов, а команда apt-cache используется для поиска новых пакетов. Мы увидим все эти команды с примерами позже в этом руководстве.

В этом руководстве я использую Linux Mint 18, но вы можете использовать любой другой дистрибутив Linux на основе Ubuntu, например elementary OS, Linux Lite и т. Д.

Использование команд apt-get

Начнем с команд apt-get.Вы просто не можете избежать этой команды. Лучше иметь представление об этом, чтобы вы могли немного лучше управлять своей системой Linux.

Обновите базу данных пакетов с помощью apt-get

apt-get в основном работает с базой данных доступных пакетов. Если вы не обновите эту базу данных, система не узнает, доступны ли новые пакеты или нет. Фактически, это первая команда, которую вам нужно запустить в любой системе Linux на основе Debian после новой установки.

Для обновления базы данных пакетов требуются права суперпользователя, поэтому вам нужно будет использовать sudo.

  sudo apt-get update  

Когда вы запустите эту команду, вы увидите информацию, получаемую с различных серверов.

Здесь вы увидите три типа линий: hit, get и ign. Позвольте мне вам их объяснить:

  • попадание: нет изменений в версии пакета
  • ign: пакет игнорируется. На то могли быть разные причины. Либо пакет настолько свежий, что он даже не пытается проверить наличие новой версии, либо при получении файла произошла ошибка, но ошибка была тривиальной и поэтому игнорируется.Это не ошибка. Не о чем беспокоиться.
  • get: Доступна новая версия пакета. apt-get загрузит эту информацию (но не сам пакет). Вы можете видеть, что в строках «получить» на скриншоте выше есть загруженная информация.

Обновите установленные пакеты с помощью apt-get

После обновления базы данных пакетов вы можете обновить установленные пакеты. Самый удобный способ — обновить все пакеты, для которых доступны обновления.Для этой цели вы можете использовать команду ниже:

  sudo apt-get upgrade  

Чтобы обновить только определенную программу, используйте команду ниже:

  sudo apt-get upgrade <имя_пакета>  

Есть еще один способ выполнить полное обновление, используя следующую команду:

  sudo apt-get dist-upgrade  

Но вам следует избегать использования этой команды. Я объясню почему в следующем разделе.

Разница между обновлением и dist-upgrade

Команда apt-get upgrade очень послушная.Он никогда не пытается удалить какие-либо пакеты и не пытается самостоятельно установить новый пакет.

Команда apt-get dist-upgrade, с другой стороны, является упреждающей. Он ищет зависимости от более новой версии устанавливаемого пакета и пытается самостоятельно установить новые пакеты или удалить существующие.

Похоже, что dist-upgrade более мощный и умный, не так ли? Но с этим есть риск.

Понимаете, там есть «умная» система разрешения конфликтов.Он попытается обновить наиболее важные пакеты за счет менее важных. Это может привести к удалению некоторых пакетов, которые могут вам не понадобиться. Это основная причина, по которой следует избегать dist-upgrade на производственных машинах.

В чем разница между apt-get update и apt-get upgrade?

Это очень распространенная путаница. Вы не единственный, кого смущают термины «обновление» и «обновление».

Хотя звучит так, будто apt-get update должен обновлять пакеты, это неправда.apt-get update обновляет только базу данных доступных пакетов. Например, если у вас установлен пакет XYX версии 1.3, после обновления apt-get в базе данных будет указано, что доступна более новая версия 1.4.

Когда вы выполняете обновление apt-get после обновления apt-get, он обновляет установленные пакеты до более новой версии.

Вот почему самый быстрый и удобный способ обновить Ubuntu — использовать эту команду:

  sudo apt-get update && sudo apt-get upgrade -y  

Использование команд apt-cache для поиска пакетов

Скажу вам честно, это не мой предпочтительный способ поиска пакетов.Но это очень удобно, когда вы ищете какую-то конкретную библиотеку.

Все, что вам нужно сделать, это использовать следующую команду (здесь вам даже не нужно sudo):

  apt-cache search <поисковый запрос>  

Вам не нужно знать точное название пакета. Он ищет в именах пакетов и их кратких описаниях и показывает результат на основе этого.

Если вы просто хотите найти пакеты apt с определенными именами пакетов, вы можете использовать команду ниже:

  apt-cache pkgnames   

Это дает вам список всех пакетов, начиная с вашего поискового запроса.

Как только вы узнаете точное имя пакета, вы сможете получить о нем дополнительную информацию, такую ​​как версия, зависимости и т. Д., Используя следующую команду:

  apt-cache showpkg <имя_пакета>
  

Как установить новые пакеты с помощью apt-get

Если вы знаете имя пакета, вы можете легко установить его с помощью следующей команды:

  sudo apt-get install <имя_пакета>  

Просто замените желаемым пакетом.Предположим, я хотел установить редактор изображений Pinta. Все, что мне нужно сделать, это использовать команду ниже:

  sudo apt-get install pinta  

Преимущество этой команды в том, что она имеет автозаполнение. Поэтому, если вы не уверены в точном названии пакета, вы можете ввести несколько букв и нажать вкладку, и он предложит все пакеты, доступные с этими буквами. Например:

Как установить несколько пакетов

Вы не ограничены установкой только одного пакета за раз.Вы можете установить несколько пакетов одновременно, указав их имена:

  sudo apt-get install     
Что делать, если вы запускаете установку для уже установленного пакета?

Предположим, у вас уже установлен пакет, но вы все равно использовали для него команду install. apt-get на самом деле просматривает базу данных и, если доступна более новая версия, обновляет установленный пакет до более новой.Таким образом, использование этой команды не причинит никакого вреда — если вы не хотите, чтобы пакет обновлялся.

Как установить пакеты без обновления

Предположим, по какой-то причине вы хотите установить пакет, но не хотите его обновлять, если он уже установлен. Звучит странно, но у вас могут быть причины для этого.

В этом случае вы можете использовать флаг отсутствия обновления следующим образом:

  sudo apt-get install <имя_пакета> --no-upgrade  
Как только обновить пакет, а не установить его

Если вы хотите обновить пакет, если он уже установлен, но не хотите устанавливать его, если это не так, вы можете сделать это с помощью следующей команды:

  sudo apt-get install <имя_пакета> --only-upgrade  
Как установить определенную версию приложения

По умолчанию для любого приложения устанавливается последняя доступная в репозитории версия.Но если по какой-то причине вы не хотите устанавливать последнюю версию, вы можете указать номер версии пакета. (Вам нужно будет знать точный номер версии, которую вы хотите установить).

Все, что вам нужно сделать, это добавить номер версии к имени пакета:

  sudo apt-get install <имя_пакета> = <номер_версии>  

Как удалить установленные пакеты с помощью apt-get

Установка пакетов — не единственное, что вы можете сделать с помощью apt-get.Вы также можете удалить с его помощью пакеты. Все, что вам нужно сделать, это использовать команду таким образом:

  sudo apt-get remove <имя_пакета>  

Здесь также работает автозаполнение

. Так что просто начните вводить имя пакета и нажмите вкладку, и он предложит все установленные пакеты, начинающиеся с этих букв.

Другой способ удаления пакетов — использовать очистку. Команда используется следующим образом:

  sudo apt-get purge <имя_пакета>  
В чем разница между apt-get remove и apt-get purge?
  • apt-get remove просто удаляет двоичные файлы пакета.Он не затрагивает файлы конфигурации.
  • apt-get purge удаляет все, что связано с пакетом, включая файлы конфигурации.

Таким образом, если вы «удалили» определенную часть программного обеспечения, а затем установите ее снова, ваша система будет иметь те же файлы конфигурации. Конечно, вам будет предложено переопределить существующие файлы конфигурации при повторной установке.

Purge особенно полезен, когда вы испортили конфигурацию программы, когда вы хотите полностью стереть ее следы из системы и начать заново.

В большинстве случаев простого удаления более чем достаточно для удаления пакета.

Как очистить систему с помощью apt-get

Ах да! Вы также можете очистить свою систему с помощью apt-get и освободить место на диске.

Для очистки кэша APT (локально сохраненных извлеченных файлов пакетов) можно использовать команду ниже:

  sudo apt-get clean  

Другой способ — использовать автоочистку. В отличие от приведенной выше команды clean, autoclean удаляет только те извлеченные файлы пакетов, которые имеют более новую версию, и поэтому больше не будут использоваться.

  sudo apt-get autoclean  

Другой способ освободить место на диске — использовать автоудаление. Он удаляет библиотеки и пакеты, которые были установлены автоматически, чтобы удовлетворить зависимости другого установленного пакета. Если этот пакет будет удален, эти автоматически установленные пакеты станут бесполезны в системе. Эта команда удаляет такие пакеты.

  sudo apt-get autoremove  

Это способ очистки системы Linux из командной строки. Если вы предпочитаете графический интерфейс, вот несколько альтернатив CCleaner для Linux, которые вы можете использовать в дистрибутивах Linux на основе Ubuntu и Ubuntu.

Ваш вклад

Есть еще кое-что, что нужно для apt-get, но это должно дать вам неплохое начало. Вы всегда можете просмотреть справочные страницы, чтобы получить дополнительную информацию.

Как вам это руководство по командам apt-get в Linux? Было ли это полезным и достаточно ясным для понимания? Ваш отзыв поможет в ближайшем будущем создать больше таких руководств.

Нравится то, что вы читаете? Пожалуйста, поделитесь этим с другими.

Как использовать apt Package Manager в командной строке Ubuntu

Когда вы начинаете использовать операционную систему Ubuntu, первый вариант установки программного обеспечения — через графический менеджер программного обеспечения Ubuntu.Хотя в этом сборнике доступно множество программ, вы скоро узнаете, что в нем отсутствуют многие мощные утилиты, особенно для командной строки. Тогда самое время переключиться на более мощную утилиту для установки программного обеспечения apt-get. С помощью этой утилиты вы можете не только установить программное обеспечение из командной строки, но и:

  • Обновить репозитории пакетов
  • Обновить установленное программное обеспечение
  • Искать доступные пакеты
  • Получить исходный код установленного пакета
  • Переустановить пакет программного обеспечения
  • Удаление программного обеспечения из вашей системы

В этой статье мы объясним, как использовать утилиту apt-get для выполнения перечисленных выше операций.

Мы выполнили команды и процедуры, упомянутые в этой статье, в системе Ubuntu 18.04 LTS. Поскольку apt-get — это утилита командной строки, мы будем использовать для этого терминал Ubuntu. Вы можете открыть Терминал либо через системную тире, либо с помощью сочетания клавиш Ctrl + alt + T.

Обновите репозитории пакетов с помощью apt

Репозиторий — это список доступных программных пакетов в данном моментальном снимке во времени. Поскольку пакеты в этом списке иногда добавляются, удаляются и обновляются, вам необходимо время от времени обновлять системные репозитории. Это позволит вам иметь обновленный список всех доступных программных пакетов репозитория.

Лучше всего обновить репозитории перед установкой нового программного обеспечения, выполнив следующую команду от имени пользователя root:

 $ sudo apt-get update 

Теперь ваши системные репозитории соответствуют репозиториям в Интернете.

Обновите установленное программное обеспечение с помощью apt

Хотя вы можете использовать диспетчер обновлений для обновления установленного программного обеспечения в вашей системе.Утилита apt-get также предоставляет способ сделать то же самое. Используйте следующую команду от имени пользователя root для обновления программного обеспечения в вашей системе:

 $ sudo apt-get upgrade 

Теперь программное обеспечение в вашей системе обновлено.

Поиск доступных пакетов с помощью apt

Для поиска доступных пакетов в Интернет-репозиториях вы можете использовать утилиту apt-cache. Используйте для этого следующий синтаксис:

$ sudo apt-cache search [ключевое слово имени пакета]

Пример:

Давайте найдем стабильную версию веб-браузера Opera с помощью следующей команды apt-cache:

 $ sudo apt-cache search "opera-stable" 

Следующий вывод показывает доступность пакета opera-stable для веб-браузера.

Подробную информацию о пакете можно получить с помощью следующей команды apt-cache:

Синтаксис:

$ sudo apt-cache show «имя-пакета»

Пример:

 $ sudo apt-cache show "opera-stable" 

Следующий вывод показывает подробную информацию о пакете opera-stable:

Установка пакета с apt

Вот наиболее известное использование команды apt-get; установка программного обеспечения из обновленного репозитория.

Используйте следующую команду от имени пользователя root для установки программного пакета:

$ sudo apt-get install «имя-пакета»

Пример:

Вы можете установить стабильную версию веб-браузера Opera, установив пакет, который мы искали выше, выглядит следующим образом:

 $ sudo apt-get install opera-stable 

Система предложит вам решение ay / n перед установкой программы с помощью утилиты apt-get. Всегда вводите Y, чтобы продолжить установку.

Получить исходный код для установленного пакета с apt

Если вам нужен исходный код для установленного пакета, вы можете использовать следующую команду:

Синтаксис:

$ sudo apt-get source «имя-пакета»

Пример:

Например, если я хочу получить исходный код только что установленного пакета opera-stable, я буду использовать следующую команду:

 $ sudo apt-get source opera-stable 

Если вы получите эту ошибку после выполнения указанной выше команды:

E: Вы должны поместить некоторые «исходные» URI в свои источники.list

Вам необходимо удалить комментарий из строки deb-src для соответствующего пакета из файла sources.list. Этот файл находится в папке / etc / apt /.

Вы можете открыть исходный файл в редакторе nano с помощью следующей команды:

 $ sudo nano sources.list 

Нажмите Ctrl + X, а затем Y для выхода и сохранения изменений.

Переустановите пакет программного обеспечения с apt

Во время работы приложение может перестать работать или выйти из строя.В этом случае вы можете легко переустановить это приложение с помощью команды apt-get следующим образом:

$ sudo apt-get install «package-name» –reinstall

Пример:

 $ sudo apt-get install opera- stable --reinstall 

Эта команда переустановит браузер Opera, который уже был установлен в моей системе.

Удаление программного обеспечения из вашей системы

Если вы хотите удалить программное обеспечение из вашей системы, вы можете использовать следующую команду apt-get:

$ sudo apt-get remove «имя-пакета»

Пример:

 $ sudo apt-get remove opera-stable 

Эта команда удалит веб-браузер Opera из моей системы

Удалить полные конфигурации программного обеспечения

Команда apt-get remove удаляет программное обеспечение из вашей системы, но оно не удаляет файлы конфигурации, которые могли быть установлены вместе с ним.Следующая команда полностью удалит эти файлы конфигурации для программного обеспечения:

$ sudo apt-get purge «имя-пакета»

Пример:

 $ sudo apt-get purge opera-stable 

Эта команда полностью удалит Конфигурации Opera из моей системы.

Система предлагает вариант «Да / Нет» для удаления или очистки программного обеспечения; всегда вводите Y, чтобы продолжить удаление программного обеспечения.

В этом руководстве мы увидели, как команду apt-get можно использовать не только для установки программного обеспечения в вашей системе, но и для выполнения всех задач, связанных с установкой.Теперь вам не нужно полагаться исключительно на диспетчер программного обеспечения Ubuntu для установки программ в вашей системе.

25 полезных базовых команд APT-GET и APT-CACHE для управления пакетами

В этой статье объясняется, как быстро вы можете научиться установить , удалить , обновить и найти пакеты программного обеспечения с помощью команд apt-get и apt-cache из командной строки. В этой статье представлены некоторые полезные команды, которые помогут вам справиться с управлением пакетами в системах на основе Debian / Ubuntu .

Команды APT-GET и APT-CACHE

Что такое apt-get?

Утилита apt-get — это мощная и бесплатная программа командной строки для управления пакетами, которая используется для работы с библиотекой Ubuntu APT ( Advanced Packaging Tool ) для выполнения установки новых пакетов программного обеспечения, удаления существующих пакетов программного обеспечения, обновление существующих пакетов программного обеспечения и даже используется для обновления всей операционной системы.

Что такое apt-cache?

Инструмент командной строки apt-cache используется для поиска в кэше программных пакетов apt.Проще говоря, этот инструмент используется для поиска пакетов программного обеспечения, сбора информации о пакетах, а также для поиска доступных пакетов, готовых к установке в системах на основе Debian или Ubuntu .

APT-CACHE — 5 полезных базовых команд

1. Как мне перечислить все доступные пакеты?

Чтобы вывести список всех доступных пакетов, введите следующую команду.

 $ apt-cache имена пакетов 
 эссеракт-окр-эпо
пипеньочные мечты
mumudvb
tbb-examples
libsvm-java
libmrpt-hmtslam0.9
libboost-timer1.50-dev
kcm-тачпад
g ++ - 4.5-мультилиб
... 

2. Как узнать название пакета и описание программного обеспечения?

Чтобы узнать имя пакета и его описание перед установкой, используйте флаг « поиск ». Использование « search » с apt-cache отобразит список совпавших пакетов с кратким описанием. Допустим, вы хотите узнать описание пакета « vsftpd », тогда команда будет.

 $ apt-cache поиск vsftpd 
 vsftpd - легкий и эффективный FTP-сервер, написанный для обеспечения безопасности
ccze - Надежная модульная раскраска журналов
ftpd - сервер протокола передачи файлов (FTP)
ясат - простой тупой инструмент аудита 

Чтобы найти и перечислить все пакеты, начинающиеся с « vsftpd », вы можете использовать следующую команду.

 $ apt-cache имена пакетов vsftpd 
 всттпд 

3. Как проверить информацию о пакете?

Например, если вы хотите проверить информацию о пакете вместе с его кратким описанием, скажем (номер версии, контрольные суммы, размер, установленный размер, категория и т. Д.).Используйте подкоманду « show », как показано ниже.

 $ apt-cache показать netcat 
 Пакет: netcat
Приоритет: необязательно
Раздел: вселенная / сеть
Установленный размер: 30
Сопровождающий: разработчики Ubuntu <[email protected]>
Оригинал-сопровождающий: Рубен Молина <[email protected]>
Архитектура: все
Версия: 1.10-40
Зависит от: netcat-Traditional (> = 1.10-39)
Имя файла: пул / вселенная / n / netcat / netcat_1.10-40_all.deb
Размер: 3340
MD5сумма: 37c303f02b260481fa4fc9fb8b2c1004
SHA1: 0371a3950d6967480985aa014fbb6fb898bcea3a
SHA256: eeecb4c93f03f455d2c3f57b0a1e83b54dbeced0918ae563784e86a37bcc16c9
Description-ru: TCP / IP швейцарский армейский нож - переходный пакет
 Это "фиктивный" пакет, который зависит от версии lenny по умолчанию
 netcat, чтобы упростить обновление.Его можно безопасно удалить.
Описание-md5: 1353f8c1d079348417c2180319bdde09
Ошибки: https://bugs.launchpad.net/ubuntu/+filebug
Происхождение: Ubuntu 

4. Как проверить зависимости для определенных пакетов?

Используйте подкоманду « showpkg », чтобы проверить зависимости для определенных пакетов программного обеспечения. установлены ли эти пакеты зависимостей или нет. Например, используйте команду « showpkg » вместе с именем пакета.

 $ apt-cache showpkg vsftpd 
 Пакет: vsftpd
Версии:
2.3.5-3ubuntu1 (/var/lib/apt/lists/in.archive.ubuntu.com_ubuntu_dists_quantal_main_binary-i386_Packages)
 Язык описания:
                 Файл: /var/lib/apt/lists/in.archive.ubuntu.com_ubuntu_dists_quantal_main_binary-i386_Packages
                  MD5: 81386f72ac91a5ea48f8db0b023f3f9b
 Язык описания: en
                 Файл: /var/lib/apt/lists/in.archive.ubuntu.com_ubuntu_dists_quantal_main_i18n_Translation-en
                  MD5: 81386f72ac91a5ea48f8db0b023f3f9b

Обратные зависимости:
  ubumirror, vsftpd
  хард-серверы, vsftpd
Зависимости:
2.3.5-3ubuntu1 - debconf (18 0.5) debconf-2.0 (0 (null)) upstart-job (0 (null)) libc6 (2 2.15) libcap2 (2 2.10) libpam0g (2 0.99.7.1) libssl1.0.0 (2 1.0 .0) libwrap0 (2 7.6-4 ~) adduser (0 (null)) libpam-modules (0 (null)) netbase (0 (null)) logrotate (0 (null)) ftp-server (0 (null)) ftp-сервер (0 (ноль))
Обеспечивает:
2.3.5-3ubuntu1 - ftp-сервер
Реверс обеспечивает: 

5. Как проверить статистику кэша

Подкоманда « stats » отображает общую статистику о кэше.Например, следующая команда отобразит Общее количество имен пакетов — это количество пакетов, найденных в кеше.

 $ apt-cache stats 
 Всего имен пакетов: 51868 (1037 тыс.)
Всего структур пакетов: 51868 (2490 тыс.)
  Обычные пакеты: 39505
  Чистые виртуальные пакеты: 602
  Единичные виртуальные пакеты: 3819
  Смешанные виртуальные пакеты: 1052
  Пропавших без вести: 6890
Всего различных версий: 43015 (2753 k)
Всего отличных описаний: 81048 (1,945 тыс.)
Всего зависимостей: 252299 (7064 k)
Всего вер / файловых отношений: 45567 (729 k)
Всего отношений Desc / File: 81048 (1297 k)
Всего обеспечивает сопоставлений: 8228 (165 k)
Всего глобальных струн: 286 (3518)
Общее пространство версий зависимостей: 1145 КБ
Общее свободное пространство: 62.6 тыс.
Общая площадь: 13,3 м 

APT-GET — 20 полезных базовых команд для управления пакетами

6. Как обновить системные пакеты

Команда « update » используется для повторной синхронизации файлов индекса пакетов с их источниками, указанными в файле /etc/apt/sources.list . Команда обновления извлекла пакеты из их местоположений и обновила пакеты до более новой версии.

 $ sudo apt-get update 
 [sudo] пароль для tecmint:
Игнорировать http: // security.ubuntu.com InRelease для количественной безопасности
Получите: 1 http://security.ubuntu.com Quantal-security Release.gpg [933 B]
Получить: 2 http://security.ubuntu.com Quantal-security Release [49,6 kB]
Ign http://in.archive.ubuntu.com Quantal InRelease
Запустить http://in.archive.ubuntu.com количественные обновления InRelease
Получить: 3 http://repo.varnish-cache.org точной версии InRelease [13,7 kB]
Игнорировать http: // in.archive.ubuntu.com Quantal-backports InRelease
Нажмите http://in.archive.ubuntu.com Quantal Release.gpg.
Получить: 4 http://security.ubuntu.com Quantal-security / main Sources [34,8 kB]
Получить: 5 http://in.archive.ubuntu.com Quantal-updates Release.gpg [933 B]
... 

7. Как обновить пакеты программного обеспечения

Команда « обновить » используется для обновления всех установленных в системе пакетов программного обеспечения.Ни при каких обстоятельствах установленные в данный момент пакеты не удаляются, а пакеты, которые еще не установлены, не извлекаются и не устанавливаются для удовлетворения зависимостей обновления.

 $ sudo apt-get upgrade 
 Чтение списков пакетов ... Готово
Построение дерева зависимостей
Чтение информации о состоянии ... Готово
Следующие пакеты были сохранены:
  заголовки linux-общий linux-образ-общий wine1.5 wine1.5-i386
Следующие пакеты будут обновлены:
  Журнал действий-менеджер-общий журнал активности-менеджер-центр управления adium-theme-ubuntu alacarte
  alsa-base app-install-data-partner appmenu-gtk appmenu-gtk3 apport apport-gtk apt
  apt-transport-https apt-utils aptdaemon aptdaemon-data at-spi2-core bamfdaemon base-files bind9-host
   ... 

Однако, если вы хотите выполнить обновление, не заботясь о том, будут ли пакеты программного обеспечения добавлены или удалены для выполнения зависимостей, используйте подкоманду « dist-upgrade ».

 $ sudo apt-get dist-upgrade 

8. Как установить или обновить определенные пакеты?

Подкоманда « install » отслеживается одним или несколькими пакетами, которые желают установить или обновить.

 $ sudo apt-get install netcat 
 Чтение списков пакетов... Сделанный
Построение дерева зависимостей
Чтение информации о состоянии ... Готово
Будут установлены следующие дополнительные пакеты:
  netcat-традиционный
Будут установлены следующие НОВЫЕ пакеты:
  netcat netcat-традиционный
0 обновлено, 2 вновь установлено, 0 удалено и 328 не обновлено.
Необходимо получить 67,1 КБ архивов.
После этой операции будет использовано 186 КБ дополнительного дискового пространства.
Вы хотите продолжить [Д / Н]? y
Получите: 1 http: //in.archive.ubuntu.com / ubuntu / Quantal / Universe netcat-Traditional i386 1.10-40 [63,8 кБ]
Получить: 2 http://in.archive.ubuntu.com/ubuntu/quantal / universe netcat all 1.10-40 [3,340 B]
Получено 67,1 КБ за 1 с (37,5 КБ / с)
Выбор ранее невыбранного пакета netcat-Traditional.
(Чтение базы данных ... На данный момент установлено 216118 файлов и каталогов.)
Распаковка netcat-традиционная (из ... / netcat-Traditional_1.10-40_i386.deb) ...
Выбор ранее невыбранного пакета netcat.
Распаковка netcat (из.../netcat_1.10-40_all.deb) ...
Обработка триггеров для man-db ...
Настройка netcat-Traditional (1.10-40) ...
Настройка netcat (1.10-40) ... 

9. Как установить несколько пакетов?

Вы можете добавить несколько имен пакетов вместе с командой, чтобы установить несколько пакетов одновременно. Например, следующая команда установит пакеты nethogs и goaccess.

 $ sudo apt-get install nethogs goaccess 
 Чтение списков пакетов... Сделанный
Построение дерева зависимостей
Чтение информации о состоянии ... Готово
goaccess - это уже самая новая версия.
nethogs - это уже самая новая версия.
0 обновлено, 0 установлено заново, 0 удалено и 328 не обновлено. 

10. Как установить несколько пакетов с использованием подстановочного знака

С помощью регулярного выражения вы можете добавить несколько пакетов одной строкой. Например, мы используем подстановочный знак * для установки нескольких пакетов, которые содержат строку « * имя * », имя будет «имя-пакета».

 $ sudo apt-get install '* имя *' 

11. Как установить пакеты без обновления

Использование подкоманды « –no-upgrade » предотвратит обновление уже установленных пакетов.

 $ sudo apt-get install packageName --no-upgrade 
 Чтение списков пакетов ... Готово
Построение дерева зависимостей
Чтение информации о состоянии ... Готово
Пропускаем vsftpd, он уже установлен и обновление не ставится.
0 обновлено, 0 установлено заново, 0 удалено и 328 не обновлено.

12. Как обновить только определенные пакеты

Команда « –only-upgrade » не устанавливает новые пакеты, а только обновляет уже установленные пакеты и отключает новую установку пакетов.

 $ sudo apt-get install packageName --only-upgrade 
 Чтение списков пакетов ... Готово
Построение дерева зависимостей
Чтение информации о состоянии ... Готово
vsftpd - это уже самая новая версия.
0 обновлено, 0 установлено заново, 0 удалено и 328 не обновлено.

13. Как установить конкретную версию пакета?

Допустим, вы хотите установить только определенную версию пакетов, просто используйте « = » с именем пакета и добавьте желаемую версию.

 $ sudo apt-get install vsftpd = 2.3.5-3ubuntu1 
 Чтение списков пакетов ... Готово
Построение дерева зависимостей
Чтение информации о состоянии ... Готово
vsftpd - это уже самая новая версия.
0 обновлено, 0 установлено заново, 0 удалено и 328 не обновлено.

14. Как удалить пакеты без конфигурации

Для удаления пакетов программного обеспечения без удаления их файлов конфигурации (для последующего повторного использования той же конфигурации). Используйте команду «удалить », как показано.

 $ sudo apt-get удалить vsftpd 
 [sudo] пароль для tecmint:
Чтение списков пакетов ... Готово
Построение дерева зависимостей
Чтение информации о состоянии ... Готово
Следующие пакеты будут УДАЛЕНЫ:
  vsftpd
0 обновлено, 0 установлено заново, 1 удалено и 328 не обновлено.После этой операции будет освобождено 364 КБ дискового пространства.
Вы хотите продолжить [Д / Н]? y
(Чтение базы данных ... На данный момент установлено 216156 файлов и каталогов.)
Удаление vsftpd ...
vsftpd остановка / ожидание
Обработка триггеров для ureadahead ...
Обработка триггеров для man-db ... 

15. Как полностью удалить пакеты

Чтобы удалить пакеты программного обеспечения, включая их файлы конфигурации, используйте подкоманду « purge », как показано ниже.

 $ sudo apt-get очистка vsftpd 
 Чтение списков пакетов ... Готово
Построение дерева зависимостей
Чтение информации о состоянии ... Готово
Следующие пакеты будут УДАЛЕНЫ:
  vsftpd *
0 обновлено, 0 установлено заново, 1 удалено и 328 не обновлено.
После этой операции будет использовано 0 Б дополнительного дискового пространства.
Вы хотите продолжить [Д / Н]? y
(Чтение базы данных ... На данный момент установлено 216107 файлов и каталогов.)
Удаление vsftpd...
Очистка файлов конфигурации для vsftpd ...
Обработка триггеров для ureadahead ... 

В качестве альтернативы вы можете объединить обе команды вместе, как показано ниже.

 $ sudo apt-get remove --purge vsftpd 
 Чтение списков пакетов ... Готово
Построение дерева зависимостей
Чтение информации о состоянии ... Готово
Следующие пакеты будут УДАЛЕНЫ:
  vsftpd *
0 обновлено, 0 установлено заново, 1 удалено и 328 не обновлено.
После этой операции будет освобождено 364 КБ дискового пространства.Вы хотите продолжить [Д / Н]? y
(Чтение базы данных ... На данный момент установлено 216156 файлов и каталогов.)
Удаление vsftpd ...
vsftpd остановка / ожидание
Очистка файлов конфигурации для vsftpd ...
Обработка триггеров для ureadahead ...
Обработка триггеров для man-db ... 

16. Как очистить дисковое пространство

Команда « clean » используется для освобождения дискового пространства путем очистки извлеченных (загруженных) файлов (пакетов) .deb из локального репозитория.

 $ sudo apt-get clean 

17. Как загрузить только исходный код пакета

Чтобы загрузить только исходный код определенного пакета, используйте опцию « –download-only source » с «именем пакета», как показано.

 $ sudo apt-get - исходный код только для загрузки vsftpd 
 Чтение списков пакетов ... Готово
Построение дерева зависимостей
Чтение информации о состоянии ... Готово
Необходимо получить 220 КБ исходных архивов.
Получить: 1 http: //in.archive.ubuntu.com/ubuntu/quantal / main vsftpd 2.3.5-3ubuntu1 (dsc) [1883 Б]
Получить: 2 http://in.archive.ubuntu.com/ubuntu/quantal / main vsftpd 2.3.5-3ubuntu1 (tar) [188 kB]
Получить: 3 http://in.archive.ubuntu.com/ubuntu/quantal / main vsftpd 2.3.5-3ubuntu1 (diff) [30,5 kB]
Получено 220 КБ за 4 секунды (49,1 КБ / с)
Загрузка завершена в режиме только загрузки 

18. Как загрузить и распаковать пакет

Чтобы загрузить и распаковать исходный код пакета в определенный каталог, введите следующую команду.

 $ sudo apt-get источник vsftpd 
 Чтение списков пакетов ... Готово
Построение дерева зависимостей
Чтение информации о состоянии ... Готово
Необходимо получить 220 КБ исходных архивов.
Получите: 1 http://in.archive.ubuntu.com/ubuntu/quantal / main vsftpd 2.3.5-3ubuntu1 (dsc) [1883 Б]
Получить: 2 http://in.archive.ubuntu.com/ubuntu/quantal / main vsftpd 2.3.5-3ubuntu1 (tar) [188 kB]
Получить: 3 http://in.archive.ubuntu.com/ubuntu/quantal / main vsftpd 2.3.5-3ubuntu1 (diff) [30,5 kB]
Получено 220 КБ за 1 с (112 КБ / с)
gpgv: Подпись сделана 24 мая 2012 г., 02:35:09 IST с использованием идентификатора ключа RSA 2C48EE4E
gpgv: не удается проверить подпись: открытый ключ не найден
dpkg-source: предупреждение: не удалось проверить подпись на./vsftpd_2.3.5-3ubuntu1.dsc
dpkg-source: info: извлечение vsftpd в vsftpd-2.3.5
dpkg-source: info: распаковка vsftpd_2.3.5.orig.tar.gz
dpkg-source: info: распаковка vsftpd_2.3.5-3ubuntu1.debian.tar.gz
dpkg-source: info: применение 01-builddefs.patch
dpkg-source: info: применение 02-config.patch
dpkg-source: info: применение 03-db-doc.patch
dpkg-source: info: применение 04-link-local.patch
dpkg-source: info: применение 05-whitespaces.patch
dpkg-source: info: применяется 06-greedy.пластырь
dpkg-source: info: применение 07-utf8.patch
dpkg-source: info: применение 08-manpage.patch
dpkg-source: info: применение 09-s390.patch
dpkg-source: info: применение 10-remote-dos.patch
dpkg-source: info: применение 11-alpha.patch
dpkg-source: info: применение 09-disable-anonymous.patch
dpkg-source: info: применение 12-ubuntu-use-snakeoil-ssl.patch 

19. Как загрузить, распаковать и скомпилировать пакет

Вы также можете загрузить, распаковать и скомпилировать исходный код одновременно, используя опцию « –compile », как показано ниже.

 $ sudo apt-get - исходный код компиляции goaccess 
 [sudo] пароль для tecmint:
Чтение списков пакетов ... Готово
Построение дерева зависимостей
Чтение информации о состоянии ... Готово
Необходимо получить 130 КБ исходных архивов.
Получить: 1 http://in.archive.ubuntu.com/ubuntu/quantal / universe goaccess 1: 0.5-1 (dsc) [1,120 B]
Получить: 2 http://in.archive.ubuntu.com/ubuntu/quantal / universe goaccess 1: 0.5-1 (tar) [127 kB]
Получите: 3 http://in.archive.ubuntu.com/ubuntu/quantal / universe goaccess 1: 0.5-1 (разница) [2 075 B]
Получено 130 КБ за 1 с (68,0 КБ / с)
gpgv: Подпись сделана 26 июня 2012 г., 09:38:24 AM IST с использованием идентификатора ключа DSA A9FD4821
gpgv: не удается проверить подпись: открытый ключ не найден
dpkg-source: предупреждение: не удалось проверить подпись на ./goaccess_0.5-1.dsc
dpkg-source: info: извлечение goaccess в goaccess-0.5
dpkg-source: info: распаковка goaccess_0.5.orig.tar.gz
dpkg-source: info: распаковка goaccess_0.5-1.debian.tar.gz
dpkg-buildpackage: исходный пакет goaccess
dpkg-buildpackage: исходная версия 1: 0.5-1
dpkg-buildpackage: исходный код изменен Крисом Тейлором <[email protected]>
dpkg-buildpackage: архитектура хоста i386
 dpkg-source - перед сборкой goaccess-0.5
dpkg-checkbuilddeps: неудовлетворенные зависимости сборки: debhelper (> = 9) autotools-dev libncurses5-dev libglib2.0-dev libgeoip-dev autoconf
dpkg-buildpackage: предупреждение: зависимости / конфликты сборки не удовлетворены; прерывание
dpkg-buildpackage: warning: (Используйте флаг -d для отмены.)
... 

20. Как загрузить пакет без установки

Используя опцию « скачать », вы можете загрузить любой данный пакет, не устанавливая его.Например, следующая команда загрузит только пакет « nethogs » в текущий рабочий каталог.

 $ sudo apt-get загрузить nethogs 
 Get: 1 Загрузка nethogs 0.8.0-1 [27,1 kB]
Получено 27,1 КБ за 3 секунды (7506 бит / с) 

21. Как проверить журнал изменений пакета?

Флаг « журнал изменений » загружает журнал изменений пакета и показывает версию установленного пакета.

 $ sudo apt-get список изменений vsftpd 
 vsftpd (2.3.5-3убунту1) квантовый; срочность = низкая

  * Слияние из результатов тестирования Debian (LP: # 1003644). Остальные изменения:
    + debian / vsftpd.upstart: перенести vsftpd в выскочку.
    + Добавить хук аппорта (LP: # 513978):
      - debian / vsftpd.apport: добавлено.
      - debian / control: сборка зависит от dh-apport.
      - debian / rules: добавить --with apport.
    + Добавить файл debian / watch.
    + debian / patches / 09-disable-anonymous.patch: отключить анонимный вход
      по умолчанию. (LP: # 528860)
  * debian / patches / 12-ubuntu-us-snakeoil-ssl.патч: Используйте snakeoil SSL
    сертификаты и ключ.

 - Андрес Родригес <[email protected]> среда, 23 мая 2012 г. 16:59:36 -0400
... 

22. Как проверить неработающие зависимости?

Команда « проверьте » — это инструмент диагностики. Он используется для обновления кеша пакетов и проверки неработающих зависимостей.

 $ sudo apt-get check 
 [sudo] пароль для tecmint:
Чтение списков пакетов ... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Совершено 

23. Как мне искать и строить зависимости?

Эта команда « build-dep » выполняет поиск в локальных репозиториях в системе и устанавливает зависимости сборки для пакета. Если пакет не существует в локальном репозитории, он вернет код ошибки.

 $ sudo apt-get build-dep netcat 
 Будут установлены следующие НОВЫЕ пакеты:
  debhelper dh-apparmor html2text po-debconf quilt
0 обновлено, 5 установлено заново, 0 удалено и 328 не обновлено.Необходимо получить 1 219 КБ архивов.
После этой операции будет использовано 2592 КБ дополнительного дискового пространства.
Вы хотите продолжить [Д / Н]? y
Получить: 1 http://in.archive.ubuntu.com/ubuntu/quantal / main html2text i386 1.3.2a-15build1 [91,4 kB]
Получить: 2 http://in.archive.ubuntu.com/ubuntu/quantal / main po-debconf all 1.0.16 + nmu2ubuntu1 [210 kB]
Получить: 3 http://in.archive.ubuntu.com/ubuntu/quantal / main dh-apparmor all 2.8.0-0ubuntu5 [9 846 B]
Получите: 4 http://in.archive.ubuntu.com/ubuntu/quantal / main debhelper all 9.20120608ubuntu1 [623 КБ]
Получить: 5 http://in.archive.ubuntu.com/ubuntu/quantal / main quilt all 0.60-2 [285 kB]
Получено 1219 КБ за 4 секунды (285 КБ / с)
... 

24. Как я могу автоматически очистить кэш Apt-Get?

Команда « autoclean » удаляет все файлы .deb из / var / cache / apt / archives , чтобы освободить значительный объем дискового пространства.

 $ sudo apt-get autoclean 
 Чтение списков пакетов ... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Совершено 

25. Как я могу автоматически удалить установленные пакеты?

Подкоманда « autoremove » используется для автоматического удаления пакетов, которые, безусловно, были установлены для удовлетворения зависимостей для других пакетов, но теперь они больше не требуются. Например, следующая команда удалит установленный пакет с его зависимостями.

 $ sudo apt-get autoremove vsftpd 
 Чтение списков пакетов ... Готово
Построение дерева зависимостей
Чтение информации о состоянии... Сделанный
Пакет vsftpd не установлен, поэтому не удаляется
0 обновлено, 0 установлено заново, 0 удалено и 328 не обновлено. 

Я рассмотрел большинство доступных параметров с помощью команд apt-get и apt-cache , но все же есть и другие варианты, вы можете проверить их с помощью ‘man apt-get ‘ или ‘ man apt-cache ‘с терминала. Надеюсь, вам понравилось читать эту статью. Если я что-то пропустил, и вы хотите, чтобы я добавил его в список.Пожалуйста, не стесняйтесь упомянуть в комментарии ниже.

Читайте также: 20 полезных команд Linux YUM для управления пакетами

get (8) — справочная страница Linux

Имя

apt-get — утилита обработки пакетов APT — интерфейс командной строки

Сводка

 apt-get [параметры] [-o config = строка] [-c = cfgfile] команда [pkg] 

Описание

apt-get — это инструмент командной строки для обработки пакетов, который может рассматриваться как пользовательский
«back-end» для других инструментов с помощью библиотеки APT.Существует несколько «интерфейсных» интерфейсов, таких как synaptic и aptitude.

Команды

Если не указан параметр -h или —help , должна присутствовать одна из следующих команд.

обновить
Используется для повторной синхронизации файлов индекса пакетов из их источников. Индексы доступных пакетов берутся из местоположения (s), указанного в
/ etc / apt / sources.list (5). Обновление всегда следует выполнять перед обновлением или dist-upgrade.
обновление
Используется для установки новейших версий всех пакетов, установленных в настоящее время в системе, из источников, перечисленных в / etc / apt / sources.list (5).
Пакеты, установленные в настоящее время с доступными новыми версиями, извлекаются и обновляются; ни при каких обстоятельствах не удаляются установленные в настоящее время пакеты и
пакеты, которые еще не установлены, извлекаются и устанавливаются. Новые версии установленных пакетов, которые нельзя обновить без изменения
статус установки другого пакета останется на его текущей версии.Сначала необходимо выполнить обновление, чтобы apt-get знал, что новые версии
пакеты доступны.
dist-upgrade
Помимо выполнения функции upgrade , эта опция также интеллектуально обрабатывает изменение зависимостей с новыми версиями пакетов;
apt-get имеет «умную» систему разрешения конфликтов, и он попытается обновить наиболее важные пакеты за счет менее важных, если
необходимый.
Файл / etc / apt / sources.list (5) содержит список местоположений из
, чтобы получить нужные файлы пакетов. См. Также apt_preferences (5) , где описан механизм отмены общих настроек для отдельных пакетов.
установить уп. (и)
За этой опцией следует один или несколько пакетов, которые необходимо установить. Каждый пакет — это имя пакета, а не полное имя файла (например, в
в системе Fedora Core аргументом будет glibc, а не glibc-2.4.8.i686. об / мин).
Все пакеты, требуемые пакетом , указанным для установки, также будут
можно извлечь и установить. Файл / etc / apt / sources.list (5) используется для поиска репозиториев нужных пакетов. Если дефис () стоит
добавленный к имени пакета (без пробелов), указанный пакет будет удален, если он установлен в настоящее время. Аналогично знак плюс ( + )
может использоваться для обозначения пакета для установки.Эти последние функции могут использоваться для отмены решений, принятых системой разрешения конфликтов apt-get .
Определенную версию пакета можно выбрать для установки с помощью
после имени пакета ставится знак равенства ( = ) и версия пакета для выбора. Это приведет к тому, что эта версия будет найдена и выбрана для
установить. В качестве альтернативы можно выбрать конкретный дистрибутив, поставив после имени пакета косую черту (/) и версию дистрибутива или
Имя архива (т.е. стабильный, тестируемый, нестабильный).
Оба механизма выбора версии могут понижать версию пакетов и должны быть
используется с осторожностью.
Наконец, механизм apt_preferences (5) позволяет создавать
альтернативная политика установки для отдельных пакетов.
Если ни один пакет не соответствует данному выражению, а выражение содержит один
из «.», «?» или «*», тогда предполагается, что это регулярное выражение POSIX, и оно применяется ко всем именам пакетов в базе данных.»или» $ «или создайте более конкретное регулярное выражение.
удалить уп. (и)
Идентично install , за исключением того, что пакеты удаляются, а не устанавливаются. Если к имени пакета добавлен знак плюса ( + ) (без
промежуточное пространство), указанный пакет будет установлен вместо удаления.
источник source_pkg
Заставляет apt-get получать пакеты с исходным кодом. APT проверит доступные пакеты, чтобы решить, какой исходный пакет выбрать.Затем он найдет и
загрузить в текущий каталог новейшую доступную версию этого пакета с исходным кодом. Пакеты с исходным кодом отслеживаются отдельно от двоичных пакетов через
rpm-src строк типа в файле sources.list (5) . Это, вероятно, будет означать, что вы не получите тот же исходный код, что и установленный вами пакет,
или можно было установить. Если указаны параметры —compile , то пакет будет скомпилирован в двоичный файл с использованием rpmbuild , если —download-only
указано, то исходный пакет не будет распакован.
Определенную версию источника можно получить, добавив после имени источника
равно ( = ), а затем версия для выборки, аналогично механизму, используемому для файлов пакетов. Это позволяет точно сопоставить исходный пакет.
имя и версия, неявно активируя параметр APT :: Get :: Only-Source .
Обратите внимание, что пакеты с исходным кодом не отслеживаются как двоичные пакеты, они существуют
только в текущем каталоге и аналогичны загрузке исходных файлов tar.
build-dep source_pkg
Заставляет apt-get устанавливать / удалять пакеты в попытке удовлетворить зависимости сборки для исходного пакета.
проверить
Диагностический прибор; он обновляет кеш пакетов и проверяет неработающие зависимости.
чистый
Очищает локальный репозиторий от полученных файлов пакетов. Он удаляет все, кроме файла блокировки, из / var / cache / apt / archives / и
/ var / cache / apt / archives / partial / .
автоклин
Подобно clean , autoclean очищает локальный репозиторий от полученных файлов пакетов. Разница в том, что он удаляет только файлы пакетов, которые
больше не могут быть загружены и в значительной степени бесполезны. Это позволяет поддерживать кэш в течение длительного периода времени, не выходя из-под контроля. В
Параметр конфигурации APT :: Clean-Installed предотвратит удаление установленных пакетов, если он отключен.

Опции

Все параметры командной строки могут быть установлены с помощью файла конфигурации, в описании указывается параметр конфигурации, который необходимо установить. Для логических параметров вы можете
переопределите файл конфигурации, используя что-то вроде -f- , —no-f , -f = no или несколько других вариантов.

-d , — только загрузка
Только скачивание; файлы пакетов только извлекаются, но не распаковываются и не устанавливаются.
Элемент конфигурации: APT :: Get :: Download-Only .

-f , — исправно-сломанный
Исправить. Попытка исправить систему с нарушенными зависимостями. Эта опция, при использовании с установкой / удалением, может опускать любые пакеты, чтобы разрешить APT
вывести вероятное решение. Любой указанный пакет должен полностью устранить проблему. Эта опция иногда необходима при запуске APT для
первый раз; Сам APT не позволяет существовать в системе зависимым пакетам. Вполне возможно, что структура зависимостей системы может быть настолько коррумпированной.
как требовать ручного вмешательства.Использование этой опции вместе с -m может привести к ошибке в некоторых ситуациях.
Элемент конфигурации: APT :: Get :: Fix-Broken .

, — пропущено-пропущено , — исправлено-пропущено
Игнорировать отсутствующие пакеты. Если пакеты не могут быть получены или не проходят проверку целостности после получения (поврежденные файлы пакетов), задержите эти пакеты.
и обработать результат. Использование этой опции вместе с -f может привести к ошибке в некоторых ситуациях.Если для установки выбран пакет
(особенно, если он упоминается в командной строке), и его не удалось загрузить, тогда он будет тихо задержан.
Элемент конфигурации: APT :: Get :: Fix-Missing .

— не скачивать
Отключает загрузку пакетов. Это лучше всего использовать с —ignore-missing , чтобы заставить APT использовать только уже загруженные rpms.
Элемент конфигурации: APT :: Get :: Download .

-q , — тихий
Тихо. Выводит данные, пригодные для ведения журнала, без индикаторов прогресса. Больше q будут производить тише максимум до двух. Вы также можете использовать
-q = # , чтобы установить тихий уровень, переопределив файл конфигурации. Обратите внимание, что тихий уровень 2 подразумевает -y , вы никогда не должны использовать -qq без
модификатор бездействия, такой как -d , —print-uris или -s , поскольку APT может решить сделать что-то, чего вы не ожидали.
Элемент конфигурации: тихий .

-s , —simulate , —just-print , —dry-run , —recon , —no-act
Никаких действий. Выполните моделирование событий, которые могут произойти, но фактически не изменят систему.
Элемент конфигурации: APT :: Get :: Simulate .

Simulate печатает серию строк, каждая из которых представляет число оборотов в минуту.
операция: Настроить (Conf), Удалить (Remv), Распаковать (Inst).Квадратные скобки указывают на сломанные упаковки, а пустой набор квадратных скобок означает разрывы.
которые не имеют значения (редко).
-y , — да , —assume-да
Автоматически да подсказкам. Примите «да» в качестве ответа на все запросы и выполняйте неинтерактивно. Если возникла нежелательная ситуация, например, смена удерживаемой посылки или
происходит удаление необходимого пакета, после чего apt-get прерывается.
Элемент конфигурации: APT :: Get :: Assume-Yes .

-u , — показать-модернизированный
Показать обновленные пакеты. Распечатайте список всех пакетов, которые нужно обновить.
Элемент конфигурации: APT :: Get :: Show-Upgraded .

-V , —verbose-версии
Показать полные версии обновленных и установленных пакетов.
Элемент конфигурации: APT :: Get :: Show-Versions .

-b , —компилировать , — построить
Скомпилируйте пакеты с исходным кодом после их загрузки.
Элемент конфигурации: APT :: Get :: Compile .

— игнорировать-удерживать
Игнорировать удержания пакетов. Это заставляет apt-get игнорировать удержание пакета. Это может быть полезно в сочетании с dist-upgrade для переопределения
большое количество нежелательных удержаний.
Элемент конфигурации: APT :: Ignore-Hold .

— без обновления
Не обновлять пакеты. При использовании вместе с установкой, no-upgrade предотвратит обновление перечисленных пакетов, если они уже установлены.
Элемент конфигурации: APT :: Get :: Upgrade .

—форс-да
Force да. Это опасный вариант, который приведет к тому, что apt-get продолжит работу без запроса, если он делает что-то потенциально опасное. Должно
не может использоваться, за исключением особых ситуаций. Использование —force-yes потенциально может разрушить вашу систему!
Элемент конфигурации: APT :: Get :: force-yes .

—print-uris
Вместо загрузки файлов для установки печатаются их URI.Каждый URI будет иметь путь, имя файла назначения, размер и ожидаемый md5.
хэш. Обратите внимание, что имя файла для записи не всегда будет соответствовать имени файла на удаленном сайте! Это также работает с командами источника и обновления. Когда
используется с командой обновления, MD5 и размер не включены, и пользователь должен распаковать любые сжатые файлы.
Элемент конфигурации: APT :: Get :: Print-URI .

— переустановить
Переустановите уже установленные пакеты последней версии.
Элемент конфигурации: APT :: Get :: ReInstall .

— очистка списка
По умолчанию этот параметр включен, используйте —no-list-cleanup , чтобы выключить его. Когда он включен, apt-get будет автоматически управлять содержимым
/ var / lib / apt / перечисляет , чтобы гарантировать удаление устаревших файлов. Единственная причина отключить его — если вы часто меняете список источников.
Элемент конфигурации: APT :: Get :: List-Cleanup .

-t , —target-release , —default-release
Этот параметр управляет вводом по умолчанию для механизма политики. Он создает пин по умолчанию с приоритетом 990, используя указанную строку освобождения. Предпочтения
файл может в дальнейшем переопределить этот параметр. Короче говоря, эта опция позволяет вам просто контролировать, из каких пакетов распространения будут извлечены. Некоторые общие
примерами могут быть -t ‘2.1 *’ или -t unstable .
Элемент конфигурации: APT :: Default-Release ; см. также
apt_preferences (5) страница руководства.
— только простые
Выполняйте только «тривиальные» операции. Логически это можно рассматривать как относящееся к —assume-yes . Где — предположить-да ответит утвердительно на
любой запрос, —trivial-only ответит нет.
Элемент конфигурации: fIAPT :: Get :: Trivial-Only.

— без снятия
Если какие-либо пакеты должны быть удалены , apt-get немедленно прерывается без запроса.
Элемент конфигурации: APT :: Get :: Remove .

— только источник
Имеет значение только для исходной команды. Указывает, что указанные имена источников не должны отображаться через двоичную таблицу. Это означает, что если это
указана опция, исходная команда будет принимать только имена исходных пакетов в качестве аргументов, а не принимать имена двоичных пакетов и искать
соответствующий исходный пакет.
Элемент конфигурации: APT :: Get :: Only-Source .

-h , —help
Показать краткую сводку использования.
-v , — версия
Показать версию программы.
-c , —config-файл
Файл конфигурации. Укажите файл конфигурации для использования. Программа прочитает файл конфигурации по умолчанию, а затем этот файл конфигурации. Видеть
apt.conf (5) для информации о синтаксисе.
-o , — опция
Задайте вариант конфигурации. Это установит произвольную опцию конфигурации.Синтаксис: -o Foo :: Bar = bar .

Файлы

/etc/apt/sources.list
Места для получения пакетов.
Элемент конфигурации: Dir :: Etc :: SourceList .

/etc/apt/apt.conf
Файл конфигурации APT.
Элемент конфигурации: Dir :: Etc :: Main .

/etc/apt/apt.conf.d/
Фрагменты файла конфигурации APT.
Элемент конфигурации: Dir :: Etc :: Parts .

/ etc / apt / preferences
Файл настроек версии. Здесь вы должны указать «закрепление», то есть предпочтение получать определенные пакеты из отдельного источника или из другого
версия дистрибутива.
Элемент конфигурации: Dir :: Etc :: Preferences .

/ var / cache / apt / archives /
Область хранения для извлеченных файлов пакетов.
Элемент конфигурации: Dir :: Cache :: Archives .

/ var / cache / apt / archives / partial /
Область хранения файлов пакетов в пути.
Элемент конфигурации: Dir :: Cache :: Archives (неявная частичная).

/ var / lib / apt / lists /
Область хранения информации о состоянии для каждого ресурса пакета, указанного в sources.list (5) .
Элемент конфигурации: Dir :: State :: Lists .

/ var / lib / apt / lists / partial /
Область хранения информации о состоянии в пути.
Элемент конфигурации: Dir :: State :: Lists (неявный частичный).

См. Также

apt-cache (8) , apt-cdrom (8) , sources.list (5) ,
apt.conf (5) ,
apt-config (8) , apt_preferences (5)

Диагностика

apt-get возвращает ноль при нормальной работе, десятичное 100 при ошибке.

Ошибки

Сообщать об ошибках в APT-RPM лучше всего в списке рассылки APT-RPM по адресу
http: // apt-rpm.org / mailinglist.shtml.

Автор

Информацию о сопровождающем и участнике можно найти на странице кредитов.
http://apt-rpm.org/about.shtml APT-RPM.

Ссылка на

кв (8),
способность (8),
dselect (1),
fakechroot (1)

Руководство для начинающих по использованию команд apt-get в Linux (Ubuntu) | by Kayode Oluwafemi

Ubuntu широко рассматривается как удобная для новичков версия Linux и имеет множество методов на основе графического интерфейса для установки приложений, но лично я думаю, что управление вашим программным обеспечением через командную строку может реально сэкономить время и действительно быстрый.

Если вы только начали использовать или уже использовали Ubuntu или любой другой дистрибутив Linux на основе Ubuntu, такой как Linux Mint, вероятно, вам в какой-то момент придется использовать команду apt-get .

В этом руководстве мы обсудим основы использования apt-get и способы их использования для управления вашим программным обеспечением.

Ubuntu зависит от Debian Linux, а Debian Linux использует систему упаковки dpkg. Система упаковки просто предоставляет программы и приложения для установки.

APT (Advanced Package Tool) — это инструмент командной строки, который используется для легкого взаимодействия с системой упаковки dpkg и является наиболее эффективным и предпочтительным способом управления программным обеспечением из командной строки для дистрибутивов Linux на основе Debian и Debian, таких как Ubuntu. Он эффективно управляет зависимостями, поддерживает большие файлы конфигурации и правильно обрабатывает обновления и понижения для обеспечения стабильности системы.

Apt-get выполняет установку, поиск пакетов, обновление и многие другие операции с пакетами, доступными в вашей системе.Поддержание пакетов в актуальном состоянии чрезвычайно важно, так как использование устаревших пакетов может привести к проблемам с безопасностью в вашей системе.

Apt-get требует прав администратора (суперпользователя), так как он имеет дело с основными аспектами системы, поэтому в дистрибутивах на основе Ubuntu или Ubuntu вам потребуется префикс большинства команд с помощью «sudo».

Обновление базы данных пакетов

Перед тем, как начинать какие-либо операции с apt-get, мы должны убедиться, что наша локальная копия базы данных актуальна.Без этого система не узнает, доступны ли новые пакеты или нет. Обновление всегда следует выполнять перед обновлением или dist-upgrade. Чтобы выполнить обновление, запустите эту команду на системном терминале:

 sudo apt-get update 

На изображении терминала выше вы должны заметить три разных типа строк. Последняя проверка. Проще говоря, это означает, что более новой версии пакета нет.

  • Get: это означает, что доступно обновление пакета (новая версия), и будут загружены сведения об этом обновлении, но не само обновление.
  • Ign: это означает, что пакет был проигнорирован. Это происходит либо из-за ошибки, либо из-за того, что пакет является недавним и нет необходимости проверять его на наличие обновлений.
  • Обновление базы данных пакетов

    После обновления базы данных пакетов вы можете обновить пакеты с помощью обновлений, установленных на вашем компьютере.Это обновит все приложения и базовую систему Ubuntu до последних доступных версий. Чтобы выполнить обновление, запустите эту команду на своем терминале:

     sudo apt-get upgrade 

    Чтобы обновить только конкретную программу, а не всю систему, используйте следующую команду:

     sudo apt-get upgrade [имя_пакета] 

    Вы также можете выполнить обновление с помощью следующей команды:

     sudo apt-get dist-upgrade 

    Это также выполняет функцию команды apt-get upgrade с некоторыми небольшими отличиями.Команда apt-get dist-upgrade разумно обрабатывает изменение зависимостей с новыми версиями пакетов и при необходимости пытается обновить наиболее важные пакеты за счет менее важных. Таким образом, в отличие от apt-get upgrade , команда apt-get dist-upgrade может фактически удалить некоторые пакеты в необходимых случаях.

    ОБЪЕДИНЕНИЕ КОМАНД

    Фактически вы можете комбинировать команды в ubuntu, так что одна команда может запускать несколько функций.Чтобы выполнить обновление с последующим обновлением, вы можете запустить эту команду:

     sudo apt-get update -y && sudo apt-get upgrade -y 

    Эта команда в основном сообщает машине, что нужно запустить обновление, а затем запустить Обновить. Флаг -y означает автоматическое «да» на любые запросы, которые могут появиться в командной строке.

    УСТАНОВКА НОВЫХ ПАКЕТОВ

    Если вам известно название пакета, который вы хотите установить, вы можете установить его, выполнив следующую команду:

     sudo apt-get install [package_name] 

    Предположим, я хочу установить VLC player , я просто выполню следующую команду:

     sudo apt-get install vlc 

    Эта команда также имеет функцию автозаполнения, поэтому, если вы не уверены в названии пакета, просто введите несколько слов и нажмите кнопку табуляции и он предложит вам несколько имен пакетов.

    Вы также можете установить несколько пакетов одновременно, используя следующую команду:

     sudo apt-get install [package_1] [package_2] [package_3] 

    Если вы попытаетесь установить уже установленный пакет, он проверит базу данных пакетов и если будет найдена более новая версия этого пакета, он обновит установленный пакет до более новой версии.

    Если вы хотите установить определенную версию пакета, вы можете запустить эту команду:

     sudo apt-get install [package_name] = [version_number] 

    УДАЛЕНИЕ УСТАНОВЛЕННЫХ ПАКЕТОВ

    Чтобы удалить пакет из вашей системы, вы можете используйте следующую команду:

     sudo apt-get remove [имя_пакета] 

    Эта команда удаляет пакет, но сохраняет файлы конфигурации.Таким образом, если вы переустановите тот же пакет, ваша конфигурация останется прежней. Если вы хотите удалить и пакет, и связанные с ним файлы конфигурации, вы можете запустить эту команду:

     sudo apt-get purge [package_name] 

    Вы также можете использовать:

     sudo apt-get autoremove 

    Эта команда автоматически удаляет любые пакеты, которые не используются или не связаны с какой-либо установленной программой. Это отличный способ очистить все неиспользуемые библиотеки и пакеты, которые вам не нужны.

    ПОИСК ПАКЕТОВ С APT-CACHE

    В отличие от apt-get , который используется для обновления, установки и удаления пакетов, apt-cache — это инструмент, который используется для запроса информации о пакете в базе данных пакетов.Также apt-cache не требует административных привилегий, таких как apt-get , поэтому вам не нужно использовать sudo в начале вашей команды.

    Для поиска пакета вы можете использовать следующую команду:

     apt-cache search [search_term] 

    Это позволяет вам искать термины, а не точные имена пакетов, поэтому вам не нужно знать имя пакет, который вы ищете. Однако, если вы хотите найти пакеты, которые содержат ваш поисковый запрос в своем имени, вы можете использовать следующую команду:

     apt-cache showpkg [package_name] 

    Из выходных данных выше вы можете видеть, что эта команда отображает важную информацию искомого пакета, например номера версий и зависимости.

    Чтобы просмотреть информацию о пакете, вы можете запустить следующую команду:

     apt-cache show [package_name] 

    Есть еще кое-что, что нужно для apt-get, но это должно помочь вам начать работу. Чтобы узнать больше, вы можете запустить следующую команду в своем терминале:

     man apt-get && man apt-cache 

    Это должно отобразить подробное руководство по командам apt-get и apt-cache и их разные варианты.

    Ура, ребята !!!

    Примеры команд apt для Ubuntu / Debian для новых пользователей

    Я новый системный администратор Linux.Как использовать утилиту командной строки apt для управления пакетами на сервере Ubuntu Linux LTS и Debian Linux? Как я могу использовать команду apt для управления пакетами? Можете ли вы предоставить подходящие примеры команд для новых разработчиков?

    APT означает Advanced Package Tool. Это набор основных инструментов внутри системы Debian и Ubuntu Linux. Вы можете использовать команду apt для установки приложений, удаления или удаления приложений, обновления сервера Ubuntu / Debian и многого другого. Подходит для работы с командой dpkg для установки и обновления системы.Я настоятельно рекомендую вам использовать команду apt, чтобы не печатать в командной строке. На этой странице представлены примеры подходящих команд для новых пользователей Linux.

    Команда apt-get — это первый интерфейсный инструмент. apt — это второй инструмент, который устраняет некоторые ошибки проектирования команды apt-get. Следовательно, вы должны использовать команду apt. Эта команда обеспечивает более удобный интерфейс, включая индикаторы выполнения и цвета в интерфейсе командной строки. Он обеспечивает те же функции, что и специализированные инструменты APT, такие как apt-get и apt-cache, но по умолчанию позволяет использовать параметры, более подходящие для интерактивного использования.

    примеры и назначение команды apt

    Используйте apt для последовательной установки, обновления, настройки и удаления приложений / программ для операционной системы Debian или Ubuntu.

    Синтаксис

    Базовый синтаксис выглядит следующим образом:
    apt [параметры] команда
    apt [параметры] команда pkg1
    apt [параметры] команда pkg1 pkg2

    Примеры команды apt

    Давайте посмотрим, как использовать команду apt для установки обновлений безопасности или нового набора пакетов на сервере Ubuntu или Debian Linux.

    Как получать обновления

    Чтобы загрузить информацию о пакете из всех настроенных источников, введите:
    $ sudo apt update
    Примеры выходных данных:

    Рис.01: Ubuntu Linux 16.04 LTS использует обновление для загрузки информации о пакете

    Как установить пакет и обновления безопасности

    Чтобы обновить все пакеты, установленные в настоящее время в системе, выполните:
    $ sudo apt upgrade
    Примеры выходных данных:

      Чтение списков пакетов... Сделанный
    Построение дерева зависимостей
    Чтение информации о состоянии ... Готово
    Расчет апгрейда ... Готово
    Будут установлены следующие НОВЫЕ пакеты:
      libboost-random1.58.0 liblvm2app2.2
      заголовки Linux-4.4.0-16
      Linux-заголовки-4.4.0-16-общий
      Linux-образ-4.4.0-16-общий
      Linux-изображение-экстра-4.4.0-16-общий
    Следующие пакеты будут обновлены:
      apport bsdutils dbus dmeventd dmsetup ethtool
      gcc-5-base база данных geoip grub-legacy-ec2
      libblkid1 libdbus-1-3 libdevmapper-event1.02.1
      libdevmapper1.02.1 libfdisk1 libglib2.0-0
      libglib2.0-данные liblvm2cmd2.02 liblxc1 libmount1
      libpam-cgfs libpam-systemd libpython3.5-минимальный
      libpython3.5-stdlib librados2 librbd1
      libsmartcols1 libstdc ++ 6 libsystemd0 libudev1
      libuuid1 linux-generic linux-заголовки-общие
      linux-image-generic lvm2 lxc lxc-common
      lxc-templates lxc1 lxcfs lxd lxd-client mount
      openssh-client openssh-server openssh-sftp-сервер
      python3-apport python3-lxc python3-проблема-отчет
      python3.5 python3.5-минимальный sudo systemd
      systemd-sysv tzdata ubuntu-минимальный стандарт ubuntu
      udev util-linux uuid-runtime
    59 обновленных, 6 вновь установленных, 0 для удаления и 0 не обновленных.
    Необходимо получить 96,4 МБ архивов.
    После этой операции будет использовано 297 МБ дополнительного дискового пространства.
    Вы хотите продолжить? [Д / Н] г
    Получить: 1 http://us.archive.ubuntu.com/ubuntu xenial / main amd64 bsdutils amd64 1: 2.27.1-6ubuntu2 [51,6 кБ]
    Получите: 2 http://us.archive.ubuntu.com/ubuntu xenial / main amd64 util-linux amd64 2.27.1-6ubuntu2 [847 КБ]
    Получить: 3 http://us.archive.ubuntu.com/ubuntu xenial / main amd64 mount amd64 2.27.1-6ubuntu2 [121 кБ]
    Получить: 4 http://us.archive.ubuntu.com/ubuntu xenial / main amd64 dbus amd64 1.10.6-1ubuntu3 [141 кБ]
    Получить: 5 http://us.archive.ubuntu.com/ubuntu xenial / main amd64 libdbus-1-3 amd64 1.10.6-1ubuntu3 [161 кБ]
    Получить: 6 http://us.archive.ubuntu.com/ubuntu xenial / main amd64 systemd-sysv amd64 229-3ubuntu2 [17,3 кБ]
    ...
    ....
    ..
    Настройка lxd (2.0.0 ~ rc8-0ubuntu2)...
    Настройка liblvm2cmd2.02: amd64 (2.02.133-1ubuntu8) ...
    Настройка dmeventd (2: 1.02.110-1ubuntu8) ...
    Настройка lvm2 (2.02.133-1ubuntu8) ...
    update-initramfs: отложенное обновление (триггер активирован)
    Обработка триггеров для shared-mime-info (1.5-2) ...
    Обработка триггеров для libc-bin (2.23-0ubuntu2) ...
    Обработка триггеров для initramfs-tools (0.122ubuntu6) ...
    update-initramfs: Создание /boot/initrd.img-4.4.0-16-generic  

    Обратите внимание, что новые пакеты будут установлены, если это необходимо для удовлетворения зависимостей, но существующие пакеты никогда не будут удалены.

    Примечание о применении пакетов и обновлений безопасности

    Просто введите следующие две команды, чтобы применить все обновления безопасности и пакетов:
    $ sudo apt update && sudo apt upgrade
    Примеры выходных данных:

    Gif 01: Обновление моей системы с помощью apt

    Чтобы увидеть список пакетов, которые можно обновить в системе, введите:
    $ apt list --upgradable

    Рис. 02: Ubuntu Linux 16.04 LTS перечислить все обновляемые пакеты apt command

    Как выполнить полное обновление системы

    Команда full-upgrade выполняет функцию обновления, но удаляет установленные в данный момент пакеты, если это необходимо для обновления системы в целом.Это полезно, когда пакеты не обновляются или вы хотите установить Ubuntu с версии 16.04 по 16.04.1:
    $ sudo apt full-upgrade

    Как установить новые пакеты

    Чтобы установить новый пакет под названием nginx, введите:
    $ sudo apt install {pkgNameHere}
    $ sudo apt install nginx

    Как удалить пакеты

    Чтобы удалить или удалить пакет с именем nginx, введите:
    $ sudo apt remove {pkgNameHere}
    $ sudo apt remove nginx

    Удаляются все файлы, кроме файлов конфигурации в системе.

    Параметр очистки для удаления файлов пакета и конфигурации

    При удалении пакета удаляются все упакованные данные, но обычно остаются небольшие (измененные) файлы конфигурации пользователя на случай, если удаление было случайным. Простая отправка запроса на установку для случайно удаленного пакета восстановит его работу, как и раньше. С другой стороны, вы можете избавиться от этих остатков, вызвав чистку даже для уже удаленных пакетов:
    $ sudo apt purge {pkgNameHere}
    $ sudo apt purge nginx
    $ sudo apt purge nginx nginx-core nginx-common

    Опция автоудаления

    Параметр autoremove используется для удаления пакетов, которые были автоматически установлены для удовлетворения зависимостей для других пакетов и теперь больше не нужны, поскольку зависимости изменились или необходимые пакеты были удалены за это время.nginx $
    Примеры выходных данных:

    Рис.01: Ubuntu Linux 16.04 LTS apt search package command

    Как найти информацию о пакетах

    Чтобы показать или просмотреть информацию о данном пакете (ах), включая его зависимости, размер установки и загрузки, источники, из которых доступен пакет, описание содержимого пакетов и многое другое:
    $ apt show {pkgNamehere}
    $ apt show nginx
    $ apt show sudo

    Примеры выходных данных:

     Пакет: sudo
    Версия: 1.8.19п1-1
    Приоритет: необязательно
    Раздел: админ
    Майнтейнер: Bdale Garbee
    Установленный размер: 3106 КБ
    Зависит от: libaudit1 (> = 1: 2.2.1), libc6 (> = 2.17), libpam0g (> = 0.99.7.1), libselinux1 (> = 1.32), libpam-modules, lsb-base
    Конфликты: sudo-ldap
    Заменяет: sudo-ldap
    Домашняя страница: http://www.sudo.ws/
    Тег: admin :: логин, admin :: управление пользователями, реализовано в :: c,
     interface :: commandline, role :: program, scope :: utility,
     безопасность :: аутентификация, использование :: логин
    Загружаемый размер: 1054 kB
    APT-источники: http: // httpredir.debian.org/debian stretch / основные пакеты amd64
    Описание: предоставление ограниченных прав суперпользователя определенным пользователям.
     Sudo - это программа, позволяющая системному администратору предоставлять ограниченный root-доступ.
     привилегии для пользователей и журнал активности root. Основная философия - дать
     как можно меньше привилегий, но все же позволяют людям выполнять свою работу.
     .
     Эта версия построена с минимальными зависимостями разделяемых библиотек, используйте
     sudo-ldap, если вам нужна поддержка LDAP для sudoers.

    Как перечислить пакеты

    Чтобы вывести список всех пакетов, введите:
    $ apt list
    $ apt list | подробнее
    $ список квартир | grep foo
    $ список подходящих | grep php7-

    Чтобы отобразить список пакетов, удовлетворяющих определенным критериям, введите:
    $ apt list nginx
    $ apt list 'php7 *'

    Примеры выходных данных:

    Рис. 3: Ubuntu Linux 16.04 LTS отображает список пакетов, удовлетворяющих определенным критериям

    См. Политику в отношении пакета apt

    Введите команду:
    $ apt list -a {pkgNameHere}
    $ apt list -a sudo

    Примеры выходных данных:

     Объявление... Сделанный
    sudo / zesty, теперь 1.8.19p1-1ubuntu1 amd64 [установлен] 

    Список всех установленных пакетов

    Синтаксис:
    $ apt list --installed
    $ apt list --installed | grep {pkgNameHere}

    Примеры выходных данных:

    Рис. 04: Список всех установленных пакетов

    Список зависимостей пакета

    Параметр зависимости показывает список каждой зависимости, имеющейся в пакете, и всех возможных других пакетов, которые могут выполнять эту зависимость. Например:
    $ apt зависит от {pkgNameHere}
    $ apt зависит от sudo

    Примеры выходных данных:

     судо
      Зависит: libaudit1 (> = 1: 2.2.1)
      Зависит: libc6 (> = 2.17)
      Зависит: libpam0g (> = 0.99.7.1)
      Зависит от: libselinux1 (> = 1.32)
      Зависит от: libpam-modules
      Зависит: lsb-base
      Конфликты: sudo-ldap
      Заменяет: sudo-ldap 

    Как выполнить рекурсивные списки зависимостей, аналогичные apt-cache?

    Синтаксис:
    $ apt rdepends {pkgNames}
    $ apt rdepends sudo

    Как держать посылку?

    Удержание пакета означает, что его нельзя обновить, пока вы снова не отключите его.Синтаксис:
    $ sudo apt-mark hold {pkgName}
    $ sudo apt-mark hold sudo

    Как снять посылку?

    Синтаксис выглядит следующим образом:
    $ sudo apt-mark unhold {pkgName}
    $ sudo apt-mark unhold sudo

    См. «Apt-get hold back packages в Ubuntu / Debian Linux» для получения информации о других вариантах удержания и отмены удержания пакетов .

    Как мне отредактировать файл исходной информации, например /etc/apt/sources.list?

    Синтаксис:
    $ sudo apt edit-sources

    Параметры команды apt

    На странице руководства по команде apt (8):

      list - список пакетов на основе имен пакетов
      search - поиск по описанию пакетов
      show - показать детали пакета
      install - установить пакеты
      remove - удалить пакеты
      autoremove - автоматически удаляет все неиспользуемые пакеты
      update - обновить список доступных пакетов
      upgrade - обновить систему путем установки / обновления пакетов
      full-upgrade - обновить систему путем удаления / установки / обновления пакетов
      edit-sources - редактировать файл исходной информации
     
    Заключение

    Мы объяснили подходящие команды с множеством практических примеров для новых и опытных системных администраторов / разработчиков.

    Добавить комментарий

    Ваш адрес email не будет опубликован. Обязательные поля помечены *

    2021 © Все права защищены. Карта сайта